/*  Note: You are free to use whatever license you want.
    Eventually you will be able to edit it within Glade. */

/*  gum
 *  Copyright (C) <YEAR> <AUTHORS>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>
#include "gladesig.h"
#include "gladesrc.h"

GtkWidget*
get_widget                             (GtkWidget       *widget,
                                        gchar           *widget_name)
{
  GtkWidget *found_widget;

  if (widget->parent)
    widget = gtk_widget_get_toplevel (widget);
  found_widget = (GtkWidget*) gtk_object_get_data (GTK_OBJECT (widget),
                                                   widget_name);
  if (!found_widget)
    g_warning ("Widget not found: %s", widget_name);
  return found_widget;
}

/* This is an internally used function to set notebook tab widgets. */
void
set_notebook_tab                       (GtkWidget       *notebook,
                                        gint             page_num,
                                        GtkWidget       *widget)
{
  GtkNotebookPage *page;
  GtkWidget *notebook_page;

  page = (GtkNotebookPage*) g_list_nth (GTK_NOTEBOOK (notebook)->children, page_num)->data;
  notebook_page = page->child;
  gtk_widget_ref (notebook_page);
  gtk_notebook_remove_page (GTK_NOTEBOOK (notebook), page_num);
  gtk_notebook_insert_page (GTK_NOTEBOOK (notebook), notebook_page,
                            widget, page_num);
  gtk_widget_unref (notebook_page);
}

GtkWidget*
create_gum ()
{
  GtkWidget *gum;
  GtkWidget *vbox1;
  GtkWidget *menubar;
  GtkWidget *File;
  GtkWidget *menu7;
  GtkWidget *Open;
  GtkWidget *Reload;
  GtkWidget *Save;
  GtkWidget *Save_As;
  GtkWidget *Quit;
  GtkWidget *Help;
  GtkWidget *menu8;
  GtkWidget *About;
  GtkWidget *notebook1;
  GtkWidget *vbox2;
  GtkWidget *label140;
  GtkWidget *listener_port_list;
  GtkWidget *label135;
  GtkWidget *label1351;
  GtkWidget *label1352;
  GtkWidget *label1353;
  GtkWidget *label136;
  GtkWidget *label137;
  GtkWidget *label138;
  GtkWidget *table14;
  GtkWidget *label1354;
  GtkWidget *label1356;
  GtkWidget *label1357;
  GtkWidget *listener_entry_port;
  GtkWidget *listener_entry_program;
  GtkWidget *listener_entry_process;
  GtkWidget *listener_entry_arguments;
  GtkWidget *label1355;
  GtkWidget *label1358;
  GtkWidget *label1359;
  GtkWidget *label1360;
  GtkWidget *label1361;
  GtkWidget *hbuttonbox4;
  GtkWidget *listener_port_add;
  GtkWidget *listener_port_update;
  GtkWidget *listener_port_delete;
  GtkWidget *listener_port_save;
  GtkWidget *hseparator2;
  GtkWidget *label139;
  GtkWidget *hbox54;
  GtkWidget *label141;
  GtkWidget *hbuttonbox3;
  GtkWidget *listener_enable;
  GtkWidget *listener_start;
  GtkWidget *listener_restart;
  GtkWidget *listener_stop;
  GtkWidget *table1;
  GtkWidget *label68;
  GtkWidget *PING_FREQ;
  GtkWidget *PING_ILOSS_INTERVAL;
  GtkWidget *PING_GHOSTBUST;
  GtkWidget *hbox9;
  GtkWidget *MOTD;
  GtkWidget *motd_button;
  GtkWidget *label85;
  GtkWidget *MOTD_LABEL;
  GtkWidget *SHOWSYSDEF_LABEL;
  GtkWidget *LOADCHECK_LABEL;
  GtkWidget *MAXLOAD_LABEL;
  GtkWidget *CONFIRM_LABEL;
  GtkWidget *UDP_LABEL;
  GtkWidget *PING_FREQ_LABEL;
  GtkWidget *PING_ILOSS_INTERVAL_LABEL;
  GtkWidget *PING_GHOSTBUST_LABEL;
  GtkWidget *PING_GHOSTBUST_INTERVAL_LABEL;
  GtkWidget *PING_GHOSTBUST_INTERVAL;
  GtkWidget *hbox11;
  GSList *LOADCHECK_group = NULL;
  GtkWidget *LOADCHECK_0;
  GtkWidget *LOADCHECK_1;
  GtkWidget *hbox12;
  GtkObject *MAXLOAD_adj;
  GtkWidget *MAXLOAD;
  GtkWidget *hbox13;
  GSList *CONFIRM_group = NULL;
  GtkWidget *CONFIRM_0;
  GtkWidget *CONFIRM_1;
  GtkWidget *CONFIRM_2;
  GtkWidget *hbox14;
  GSList *UDP_group = NULL;
  GtkWidget *UDP_0;
  GtkWidget *UDP_1;
  GtkWidget *UDP_2;
  GtkWidget *UDP_3;
  GtkWidget *hbox15;
  GSList *SHOWSYSDEF_group = NULL;
  GtkWidget *SHOWSYSDEF_0;
  GtkWidget *SHOWSYSDEF_1;
  GtkWidget *MAXUPDATE_LABEL;
  GtkWidget *DEFUPDATE_LABEL;
  GtkObject *DEFUPDATE_adj;
  GtkWidget *DEFUPDATE;
  GtkObject *MAXUPDATE_adj;
  GtkWidget *MAXUPDATE;
  GtkWidget *table4;
  GtkWidget *label69;
  GtkWidget *TOURN;
  GtkWidget *hbox1;
  GtkWidget *SHIPS_SC;
  GtkWidget *SHIPS_DD;
  GtkWidget *SHIPS_CA;
  GtkWidget *SHIPS_BB;
  GtkWidget *SHIPS_AS;
  GtkWidget *SHIPS_SB;
  GtkWidget *SHIPS_GA;
  GtkWidget *SHIPS_AT;
  GtkWidget *label103;
  GtkWidget *hbox2;
  GtkWidget *WEAPONS_PLASMA;
  GtkWidget *WEAPONS_TRACTOR;
  GtkWidget *label102;
  GtkWidget *PLKILLS;
  GtkWidget *label91;
  GtkWidget *TOURN_LABEL;
  GtkWidget *HUNTERKILLER_LABEL;
  GtkWidget *RESETGALAXY_LABEL;
  GtkWidget *SHIPS_LABEL;
  GtkWidget *WEAPONS_LABEL;
  GtkWidget *PLKILLS_LABEL;
  GtkWidget *SBRANK_LABEL;
  GtkWidget *NODIAG_LABEL;
  GtkWidget *TOPGUN_LABEL;
  GtkWidget *NEWTURN_LABEL;
  GtkWidget *HIDDEN_LABEL;
  GtkWidget *SURRSTART_LABEL;
  GtkWidget *TRANSWARP_LABEL;
  GtkWidget *WARPSPEED_LABEL;
  GtkWidget *VECTOR_LABEL;
  GtkWidget *hbox29;
  GSList *TOPGUN_group = NULL;
  GtkWidget *TOPGUN_0;
  GtkWidget *TOPGUN_1;
  GtkWidget *hbox28;
  GSList *NODIAG_group = NULL;
  GtkWidget *NODIAG_0;
  GtkWidget *NODIAG_1;
  GtkWidget *hbox27;
  GSList *RESETGALAXY_group = NULL;
  GtkWidget *RESETGALAXY_0;
  GtkWidget *RESETGALAXY_1;
  GtkWidget *hbox26;
  GSList *HUNTERKILLER_group = NULL;
  GtkWidget *HUNTERKILLER_0;
  GtkWidget *HUNTERKILLER_1;
  GtkWidget *hbox30;
  GSList *NEWTURN_group = NULL;
  GtkWidget *NEWTURN_0;
  GtkWidget *NEWTURN_1;
  GtkWidget *hbox31;
  GSList *TRANSWARP_group = NULL;
  GtkWidget *TRANSWARP_0;
  GtkWidget *TRANSWARP_1;
  GtkWidget *hbox32;
  GSList *VECTOR_group = NULL;
  GtkWidget *VECTOR_0;
  GtkWidget *VECTOR_1;
  GtkWidget *hbox10;
  GSList *HIDDEN_group = NULL;
  GtkWidget *HIDDEN_0;
  GtkWidget *HIDDEN_1;
  GtkWidget *SURRSTART;
  GtkObject *WARPSPEED_adj;
  GtkWidget *WARPSPEED;
  GtkWidget *SBRANK;
  GtkWidget *table2;
  GtkWidget *label70;
  GtkWidget *label74;
  GtkWidget *CLUE_LABEL;
  GtkWidget *CLUERANK_LABEL;
  GtkWidget *hbox33;
  GSList *CLUE_group = NULL;
  GtkWidget *CLUE_0;
  GtkWidget *CLUE_1;
  GtkWidget *CLUE_2;
  GtkWidget *CLUERANK;
  GtkWidget *table5;
  GtkWidget *label104;
  GtkWidget *label105;
  GtkWidget *CHECKMESG_LABEL;
  GtkWidget *LOGALL_LABEL;
  GtkWidget *LOGGOD_LABEL;
  GtkWidget *EVENTLOG_LABEL;
  GtkWidget *DOOSHER_LABEL;
  GtkWidget *CHECKSCUM_LABEL;
  GtkWidget *WHYMESS_LABEL;
  GtkWidget *ERROR_LEVEL_LABEL;
  GtkWidget *hbox36;
  GSList *LOGGOD_group = NULL;
  GtkWidget *LOGGOD_0;
  GtkWidget *LOGGOD_1;
  GtkWidget *hbox35;
  GSList *LOGALL_group = NULL;
  GtkWidget *LOGALL_0;
  GtkWidget *LOGALL_1;
  GtkWidget *hbox34;
  GSList *CHECKMESG_group = NULL;
  GtkWidget *CHECKMESG_0;
  GtkWidget *CHECKMESG_1;
  GtkWidget *hbox37;
  GSList *EVENTLOG_group = NULL;
  GtkWidget *EVENTLOG_0;
  GtkWidget *EVENTLOG_1;
  GtkWidget *hbox38;
  GSList *DOOSHER_group = NULL;
  GtkWidget *DOOSHER_0;
  GtkWidget *DOOSHER_1;
  GtkWidget *hbox39;
  GSList *CHECKSCUM_group = NULL;
  GtkWidget *CHECKSCUM_0;
  GtkWidget *CHECKSCUM_1;
  GtkWidget *hbox40;
  GSList *WHYMESS_group = NULL;
  GtkWidget *WHYMESS_0;
  GtkWidget *WHYMESS_1;
  GtkWidget *hbox41;
  GtkObject *ERROR_LEVEL_adj;
  GtkWidget *ERROR_LEVEL;
  GtkWidget *table6;
  GtkWidget *label115;
  GtkWidget *hbox8;
  GtkWidget *table13;
  GtkObject *START_ARMIES_adj;
  GtkWidget *START_ARMIES;
  GtkWidget *label120;
  GtkWidget *label119;
  GtkWidget *table11;
  GtkWidget *PLANETS_1;
  GtkWidget *PLANETS_1_menu;
  GtkWidget *glade_menuitem;
  GtkWidget *PLANETS_0;
  GtkWidget *PLANETS_0_menu;
  GtkWidget *PLANETS_2;
  GtkWidget *PLANETS_2_menu;
  GtkWidget *PLANETS_3;
  GtkWidget *PLANETS_3_menu;
  GtkWidget *label64;
  GtkWidget *label65;
  GtkWidget *label66;
  GtkWidget *label67;
  GtkWidget *MAX_POP_LABEL;
  GtkWidget *PLANET_MOVE_LABEL;
  GtkWidget *WRAP_GALAXY_LABEL;
  GtkWidget *PLANETS_LABEL_DISABLED;
  GtkWidget *START_ARMIES_LABEL;
  GtkWidget *label121;
  GtkWidget *hbox6;
  GSList *PLANET_MOVE_group = NULL;
  GtkWidget *PLANET_MOVE_0;
  GtkWidget *PLANET_MOVE_1;
  GtkWidget *hbox7;
  GSList *WRAP_GALAXY_group = NULL;
  GtkWidget *WRAP_GALAXY_0;
  GtkWidget *WRAP_GALAXY_01;
  GtkWidget *hbox5;
  GtkObject *MAX_POP_adj;
  GtkWidget *MAX_POP;
  GtkWidget *label116;
  GtkWidget *table7;
  GtkWidget *label126;
  GtkWidget *BASEPRACTICE_LABEL;
  GtkWidget *ROBOTHOST_LABEL;
  GtkWidget *hbox42;
  GSList *BASEPRACTICE_group = NULL;
  GtkWidget *BASEPRACTICE_0;
  GtkWidget *BASEPRACTICE_1;
  GtkWidget *hbox43;
  GtkWidget *ROBOTHOST;
  GtkWidget *label127;
  GtkWidget *table8;
  GtkWidget *label128;
  GtkWidget *HOCKEY_LABEL;
  GtkWidget *hbox44;
  GSList *HOCKEY_group = NULL;
  GtkWidget *HOCKEY_0;
  GtkWidget *HOCKEY_1;
  GtkWidget *label131;
  GtkWidget *table9;
  GtkWidget *hbox45;
  GSList *INL_group = NULL;
  GtkWidget *INL_0;
  GtkWidget *INL_1;
  GtkWidget *INL_LABEL;
  GtkWidget *inl;
  GtkWidget *label130;
  GtkWidget *table10;
  GtkWidget *label124;
  GtkWidget *DOGFIGHT_LABEL;
  GtkWidget *CONTESTSIZE_LABEL;
  GtkWidget *NUMMATCH_LABEL;
  GtkWidget *SAVE_DOG_STAT_LABEL;
  GtkWidget *label125;
  GtkWidget *SAVE_DOG_STAT;
  GtkWidget *NUMMATCH;
  GtkWidget *CONTESTSIZE;
  GtkWidget *DOGFIGHT;
  GtkWidget *table3;
  GtkWidget *SNAKEPATROL_LABEL;
  GtkWidget *MAX_CHAOS_BASES_LABEL;
  GtkWidget *PINGPONG_PLASMA_LABEL;
  GtkWidget *STARBASE_MINES_LABEL;
  GtkWidget *CHAOS_LABEL;
  GtkWidget *label122;
  GtkWidget *label123;
  GtkWidget *hbox46;
  GtkObject *MAX_CHAOS_BASES_adj;
  GtkWidget *MAX_CHAOS_BASES;
  GtkWidget *hbox47;
  GSList *CHAOS_group = NULL;
  GtkWidget *CHAOS_0;
  GtkWidget *CHAOS_1;
  GtkWidget *hbox48;
  GSList *STARBASE_MINES_group = NULL;
  GtkWidget *STARBASE_MINES_0;
  GtkWidget *STARBASE_MINES_1;
  GtkWidget *hbox49;
  GSList *PINGPONG_PLASMA_group = NULL;
  GtkWidget *PINGPONG_PLASMA_0;
  GtkWidget *PINGPONG_PLASMA_1;
  GtkWidget *hbox50;
  GSList *SNAKEPATROL_group = NULL;
  GtkWidget *SNAKEPATROL_0;
  GtkWidget *SNAKEPATROL_1;
  GtkWidget *REALITY_LABEL;
  GtkObject *REALITY_adj;
  GtkWidget *REALITY;
  GtkWidget *label1;
  GtkWidget *label133;
  GtkWidget *label6;
  GtkWidget *label2;
  GtkWidget *label9;
  GtkWidget *label17;
  GtkWidget *label51;
  GtkWidget *label54;
  GtkWidget *INL_NOTEBOOK_LABEL;
  GtkWidget *label58;
  GtkWidget *label3;
  GtkWidget *hbox52;
  GtkWidget *statusbar;
  GtkWidget *hbuttonbox1;
  GtkWidget *reload;
  GtkWidget *save;
  GtkWidget *quit;
  GtkAcceleratorTable *accelerator_table;
  GtkTooltips *tooltips;

  tooltips = gtk_tooltips_new ();

  gum = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (gum), "gum", gum);
  gtk_signal_connect (GTK_OBJECT (gum), "delete_event",
                      GTK_SIGNAL_FUNC (on_gum_delete_event),
                      NULL);
  gtk_window_set_title (GTK_WINDOW (gum), "gum");
  gtk_window_set_policy (GTK_WINDOW (gum), TRUE, TRUE, FALSE);
  gtk_window_set_wmclass (GTK_WINDOW (gum), "gum", "gum");

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "vbox1", vbox1);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (gum), vbox1);

  menubar = gtk_menu_bar_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "menubar", menubar);
  gtk_widget_show (menubar);
  gtk_box_pack_start (GTK_BOX (vbox1), menubar, TRUE, TRUE, 0);

  File = gtk_menu_item_new_with_label ("File");
  gtk_object_set_data (GTK_OBJECT (gum), "File", File);
  gtk_widget_show (File);
  gtk_container_add (GTK_CONTAINER (menubar), File);

  menu7 = gtk_menu_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "menu7", menu7);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (File), menu7);

  Open = gtk_menu_item_new_with_label ("Open...");
  gtk_object_set_data (GTK_OBJECT (gum), "Open", Open);
  gtk_widget_show (Open);
  gtk_container_add (GTK_CONTAINER (menu7), Open);
  gtk_signal_connect (GTK_OBJECT (Open), "activate",
                      GTK_SIGNAL_FUNC (on_Open_activate),
                      NULL);
  accelerator_table = gtk_accelerator_table_new ();
  gtk_window_add_accelerator_table (GTK_WINDOW (gum), accelerator_table);
  gtk_widget_install_accelerator (Open, accelerator_table, "activate",
                                  GDK_O, GDK_CONTROL_MASK);

  Reload = gtk_menu_item_new_with_label ("Reload");
  gtk_object_set_data (GTK_OBJECT (gum), "Reload", Reload);
  gtk_widget_show (Reload);
  gtk_container_add (GTK_CONTAINER (menu7), Reload);
  gtk_signal_connect (GTK_OBJECT (Reload), "activate",
                      GTK_SIGNAL_FUNC (on_Reload_activate),
                      NULL);
  gtk_widget_install_accelerator (Reload, accelerator_table, "activate",
                                  GDK_R, GDK_CONTROL_MASK);

  Save = gtk_menu_item_new_with_label ("Save");
  gtk_object_set_data (GTK_OBJECT (gum), "Save", Save);
  gtk_widget_show (Save);
  gtk_container_add (GTK_CONTAINER (menu7), Save);
  gtk_signal_connect (GTK_OBJECT (Save), "activate",
                      GTK_SIGNAL_FUNC (on_Save_activate),
                      NULL);
  gtk_widget_install_accelerator (Save, accelerator_table, "activate",
                                  GDK_S, GDK_CONTROL_MASK);

  Save_As = gtk_menu_item_new_with_label ("Save As...");
  gtk_object_set_data (GTK_OBJECT (gum), "Save_As", Save_As);
  gtk_widget_show (Save_As);
  gtk_container_add (GTK_CONTAINER (menu7), Save_As);
  gtk_signal_connect (GTK_OBJECT (Save_As), "activate",
                      GTK_SIGNAL_FUNC (on_Save_As_activate),
                      NULL);

  Quit = gtk_menu_item_new_with_label ("Quit");
  gtk_object_set_data (GTK_OBJECT (gum), "Quit", Quit);
  gtk_widget_show (Quit);
  gtk_container_add (GTK_CONTAINER (menu7), Quit);
  gtk_signal_connect (GTK_OBJECT (Quit), "activate",
                      GTK_SIGNAL_FUNC (on_Quit_activate),
                      NULL);
  gtk_widget_install_accelerator (Quit, accelerator_table, "activate",
                                  GDK_Q, GDK_CONTROL_MASK);

  Help = gtk_menu_item_new_with_label ("Help");
  gtk_object_set_data (GTK_OBJECT (gum), "Help", Help);
  gtk_widget_show (Help);
  gtk_container_add (GTK_CONTAINER (menubar), Help);
  gtk_menu_item_right_justify (GTK_MENU_ITEM (Help));

  menu8 = gtk_menu_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "menu8", menu8);
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (Help), menu8);

  About = gtk_menu_item_new_with_label ("About");
  gtk_object_set_data (GTK_OBJECT (gum), "About", About);
  gtk_widget_show (About);
  gtk_container_add (GTK_CONTAINER (menu8), About);
  gtk_signal_connect (GTK_OBJECT (About), "activate",
                      GTK_SIGNAL_FUNC (on_About_activate),
                      NULL);

  notebook1 = gtk_notebook_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "notebook1", notebook1);
  gtk_widget_show (notebook1);
  gtk_box_pack_start (GTK_BOX (vbox1), notebook1, TRUE, TRUE, 0);
  gtk_container_border_width (GTK_CONTAINER (notebook1), 10);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "vbox2", vbox2);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (notebook1), vbox2);

  label140 = gtk_label_new ("Listener Port List");
  gtk_object_set_data (GTK_OBJECT (gum), "label140", label140);
  gtk_widget_show (label140);
  gtk_box_pack_start (GTK_BOX (vbox2), label140, FALSE, TRUE, 6);
  gtk_misc_set_alignment (GTK_MISC (label140), 0.5, 1);

  listener_port_list = gtk_clist_new (7);
  gtk_object_set_data (GTK_OBJECT (gum), "listener_port_list", listener_port_list);
  gtk_widget_show (listener_port_list);
  gtk_box_pack_start (GTK_BOX (vbox2), listener_port_list, TRUE, TRUE, 0);
  gtk_container_border_width (GTK_CONTAINER (listener_port_list), 9);
  gtk_signal_connect (GTK_OBJECT (listener_port_list), "select_row",
                      GTK_SIGNAL_FUNC (on_listener_port_list_select_row),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (listener_port_list), "unselect_row",
                      GTK_SIGNAL_FUNC (on_listener_port_list_unselect_row),
                      NULL);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 0, 40);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 1, 45);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 2, 45);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 3, 45);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 4, 80);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 5, 85);
  gtk_clist_set_column_width (GTK_CLIST (listener_port_list), 6, 80);
  gtk_clist_column_titles_show (GTK_CLIST (listener_port_list));
  gtk_clist_set_policy (GTK_CLIST (listener_port_list), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);

  label135 = gtk_label_new ("Port");
  gtk_object_set_data (GTK_OBJECT (gum), "label135", label135);
  gtk_widget_show (label135);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 0, label135);
  gtk_tooltips_set_tip (tooltips, label135, "The TCP/IP port number to listen for connections on", NULL);

  label1351 = gtk_label_new ("Accepts");
  gtk_object_set_data (GTK_OBJECT (gum), "label1351", label1351);
  gtk_widget_show (label1351);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 1, label1351);
  gtk_tooltips_set_tip (tooltips, label1351, "The count of connection accepts on this port since the listener started", NULL);

  label1352 = gtk_label_new ("Denials");
  gtk_object_set_data (GTK_OBJECT (gum), "label1352", label1352);
  gtk_widget_show (label1352);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 2, label1352);
  gtk_tooltips_set_tip (tooltips, label1352, "The count of denials based on the ban file for this port since the listener started", NULL);

  label1353 = gtk_label_new ("Forks");
  gtk_object_set_data (GTK_OBJECT (gum), "label1353", label1353);
  gtk_widget_show (label1353);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 3, label1353);
  gtk_tooltips_set_tip (tooltips, label1353, "The count of fork() calls as a result of connections to this port since the listener started", NULL);

  label136 = gtk_label_new ("File Name");
  gtk_object_set_data (GTK_OBJECT (gum), "label136", label136);
  gtk_widget_show (label136);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 4, label136);
  gtk_tooltips_set_tip (tooltips, label136, "The path to the file to exec() when a connection arrives on this port", NULL);

  label137 = gtk_label_new ("Process Name");
  gtk_object_set_data (GTK_OBJECT (gum), "label137", label137);
  gtk_widget_show (label137);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 5, label137);
  gtk_tooltips_set_tip (tooltips, label137, "The name to give to the process fork()ed by the listener for connections on this port", NULL);

  label138 = gtk_label_new ("Arguments");
  gtk_object_set_data (GTK_OBJECT (gum), "label138", label138);
  gtk_widget_show (label138);
  gtk_clist_set_column_widget (GTK_CLIST (listener_port_list), 6, label138);
  gtk_tooltips_set_tip (tooltips, label138, "Additional arguments specific to the program, such as queue number for ntserv", NULL);

  table14 = gtk_table_new (4, 3, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table14", table14);
  gtk_widget_show (table14);
  gtk_box_pack_start (GTK_BOX (vbox2), table14, FALSE, TRUE, 6);

  label1354 = gtk_label_new ("Port: ");
  gtk_object_set_data (GTK_OBJECT (gum), "label1354", label1354);
  gtk_widget_show (label1354);
  gtk_table_attach (GTK_TABLE (table14), label1354, 0, 1, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1354), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1354), 10, 0);

  label1356 = gtk_label_new ("Process Name: ");
  gtk_object_set_data (GTK_OBJECT (gum), "label1356", label1356);
  gtk_widget_show (label1356);
  gtk_table_attach (GTK_TABLE (table14), label1356, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1356), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1356), 10, 0);

  label1357 = gtk_label_new ("Arguments: ");
  gtk_object_set_data (GTK_OBJECT (gum), "label1357", label1357);
  gtk_widget_show (label1357);
  gtk_table_attach (GTK_TABLE (table14), label1357, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1357), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1357), 10, 0);

  listener_entry_port = gtk_entry_new_with_max_length (6);
  gtk_object_set_data (GTK_OBJECT (gum), "listener_entry_port", listener_entry_port);
  gtk_widget_show (listener_entry_port);
  gtk_table_attach (GTK_TABLE (table14), listener_entry_port, 1, 2, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_signal_connect (GTK_OBJECT (listener_entry_port), "changed",
                      GTK_SIGNAL_FUNC (on_listener_entry_port_changed),
                      NULL);

  listener_entry_program = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "listener_entry_program", listener_entry_program);
  gtk_widget_show (listener_entry_program);
  gtk_table_attach (GTK_TABLE (table14), listener_entry_program, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_signal_connect (GTK_OBJECT (listener_entry_program), "changed",
                      GTK_SIGNAL_FUNC (on_listener_entry_program_changed),
                      NULL);

  listener_entry_process = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "listener_entry_process", listener_entry_process);
  gtk_widget_show (listener_entry_process);
  gtk_table_attach (GTK_TABLE (table14), listener_entry_process, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_signal_connect (GTK_OBJECT (listener_entry_process), "changed",
                      GTK_SIGNAL_FUNC (on_listener_entry_process_changed),
                      NULL);

  listener_entry_arguments = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "listener_entry_arguments", listener_entry_arguments);
  gtk_widget_show (listener_entry_arguments);
  gtk_table_attach (GTK_TABLE (table14), listener_entry_arguments, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_signal_connect (GTK_OBJECT (listener_entry_arguments), "changed",
                      GTK_SIGNAL_FUNC (on_listener_entry_arguments_changed),
                      NULL);

  label1355 = gtk_label_new ("File Name: ");
  gtk_object_set_data (GTK_OBJECT (gum), "label1355", label1355);
  gtk_widget_show (label1355);
  gtk_table_attach (GTK_TABLE (table14), label1355, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1355), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1355), 10, 0);

  label1358 = gtk_label_new ("(TCP/IP port number to accept connections on)");
  gtk_object_set_data (GTK_OBJECT (gum), "label1358", label1358);
  gtk_widget_show (label1358);
  gtk_table_attach (GTK_TABLE (table14), label1358, 2, 3, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1358), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1358), 10, 0);

  label1359 = gtk_label_new ("(Program to exec() on connection arrival)");
  gtk_object_set_data (GTK_OBJECT (gum), "label1359", label1359);
  gtk_widget_show (label1359);
  gtk_table_attach (GTK_TABLE (table14), label1359, 2, 3, 1, 2,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1359), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1359), 10, 0);

  label1360 = gtk_label_new ("(Process name to show on \"ps\")");
  gtk_object_set_data (GTK_OBJECT (gum), "label1360", label1360);
  gtk_widget_show (label1360);
  gtk_table_attach (GTK_TABLE (table14), label1360, 2, 3, 2, 3,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1360), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1360), 10, 0);

  label1361 = gtk_label_new ("(Additional program arguments, e.g. queue number)");
  gtk_object_set_data (GTK_OBJECT (gum), "label1361", label1361);
  gtk_widget_show (label1361);
  gtk_table_attach (GTK_TABLE (table14), label1361, 2, 3, 3, 4,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label1361), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label1361), 10, 0);

  hbuttonbox4 = gtk_hbutton_box_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "hbuttonbox4", hbuttonbox4);
  gtk_widget_show (hbuttonbox4);
  gtk_box_pack_start (GTK_BOX (vbox2), hbuttonbox4, FALSE, TRUE, 0);
  gtk_container_border_width (GTK_CONTAINER (hbuttonbox4), 6);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox4), GTK_BUTTONBOX_END);

  listener_port_add = gtk_button_new_with_label ("Add");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_port_add", listener_port_add);
  gtk_widget_show (listener_port_add);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), listener_port_add);
  gtk_widget_set_sensitive (listener_port_add, FALSE);
  gtk_tooltips_set_tip (tooltips, listener_port_add, "Add an entry to the port list.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_port_add), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_port_add_clicked),
                      NULL);

  listener_port_update = gtk_button_new_with_label ("Update");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_port_update", listener_port_update);
  gtk_widget_show (listener_port_update);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), listener_port_update);
  gtk_widget_set_sensitive (listener_port_update, FALSE);
  gtk_signal_connect (GTK_OBJECT (listener_port_update), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_port_update_clicked),
                      NULL);

  listener_port_delete = gtk_button_new_with_label ("Delete");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_port_delete", listener_port_delete);
  gtk_widget_show (listener_port_delete);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), listener_port_delete);
  gtk_widget_set_sensitive (listener_port_delete, FALSE);
  gtk_tooltips_set_tip (tooltips, listener_port_delete, "Delete the selected entry from the port list.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_port_delete), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_port_delete_clicked),
                      NULL);

  listener_port_save = gtk_button_new_with_label ("Save");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_port_save", listener_port_save);
  gtk_widget_show (listener_port_save);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), listener_port_save);
  gtk_widget_set_sensitive (listener_port_save, FALSE);
  gtk_tooltips_set_tip (tooltips, listener_port_save, "Save the port list to the .ports file.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_port_save), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_port_save_clicked),
                      NULL);

  hseparator2 = gtk_hseparator_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "hseparator2", hseparator2);
  gtk_widget_show (hseparator2);
  gtk_box_pack_start (GTK_BOX (vbox2), hseparator2, FALSE, TRUE, 6);

  label139 = gtk_label_new ("Listener Process Commands");
  gtk_object_set_data (GTK_OBJECT (gum), "label139", label139);
  gtk_widget_show (label139);
  gtk_box_pack_start (GTK_BOX (vbox2), label139, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label139), 0.5, 1);

  hbox54 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox54", hbox54);
  gtk_widget_show (hbox54);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox54, FALSE, TRUE, 0);
  gtk_container_border_width (GTK_CONTAINER (hbox54), 6);

  label141 = gtk_label_new ("Caution:\nRemember the players.");
  gtk_object_set_data (GTK_OBJECT (gum), "label141", label141);
  gtk_widget_show (label141);
  gtk_box_pack_start (GTK_BOX (hbox54), label141, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label141), GTK_JUSTIFY_LEFT);

  hbuttonbox3 = gtk_hbutton_box_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "hbuttonbox3", hbuttonbox3);
  gtk_widget_show (hbuttonbox3);
  gtk_box_pack_start (GTK_BOX (hbox54), hbuttonbox3, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox3), GTK_BUTTONBOX_END);

  listener_enable = gtk_button_new_with_label ("Enable");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_enable", listener_enable);
  gtk_widget_show (listener_enable);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), listener_enable);
  gtk_tooltips_set_tip (tooltips, listener_enable, "Enable access to the following command buttons.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_enable), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_enable_clicked),
                      NULL);

  listener_start = gtk_button_new_with_label ("Start");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_start", listener_start);
  gtk_widget_show (listener_start);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), listener_start);
  gtk_widget_set_sensitive (listener_start, FALSE);
  gtk_tooltips_set_tip (tooltips, listener_start, "Start the listener process.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_start), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_start_clicked),
                      NULL);

  listener_restart = gtk_button_new_with_label ("Restart");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_restart", listener_restart);
  gtk_widget_show (listener_restart);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), listener_restart);
  gtk_widget_set_sensitive (listener_restart, FALSE);
  gtk_tooltips_set_tip (tooltips, listener_restart, "Signals the listener process to re-read the port list.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_restart), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_restart_clicked),
                      NULL);

  listener_stop = gtk_button_new_with_label ("Stop");
  gtk_object_set_data (GTK_OBJECT (gum), "listener_stop", listener_stop);
  gtk_widget_show (listener_stop);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), listener_stop);
  gtk_widget_set_sensitive (listener_stop, FALSE);
  gtk_tooltips_set_tip (tooltips, listener_stop, "Stops the listener process, player connections will no longer be accepted, metaserver may delist your server.", NULL);
  gtk_signal_connect (GTK_OBJECT (listener_stop), "clicked",
                      GTK_SIGNAL_FUNC (on_listener_stop_clicked),
                      NULL);

  table1 = gtk_table_new (14, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table1", table1);
  gtk_widget_show (table1);
  gtk_container_add (GTK_CONTAINER (notebook1), table1);
  gtk_container_border_width (GTK_CONTAINER (table1), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table1), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table1), 6);

  label68 = gtk_label_new ("Server Status Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label68", label68);
  gtk_widget_show (label68);
  gtk_table_attach (GTK_TABLE (table1), label68, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  PING_FREQ = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PING_FREQ", PING_FREQ);
  gtk_widget_show (PING_FREQ);
  gtk_table_attach (GTK_TABLE (table1), PING_FREQ, 1, 2, 7, 8,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  PING_ILOSS_INTERVAL = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PING_ILOSS_INTERVAL", PING_ILOSS_INTERVAL);
  gtk_widget_show (PING_ILOSS_INTERVAL);
  gtk_table_attach (GTK_TABLE (table1), PING_ILOSS_INTERVAL, 1, 2, 8, 9,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  PING_GHOSTBUST = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PING_GHOSTBUST", PING_GHOSTBUST);
  gtk_widget_show (PING_GHOSTBUST);
  gtk_table_attach (GTK_TABLE (table1), PING_GHOSTBUST, 1, 2, 9, 10,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  hbox9 = gtk_hbox_new (FALSE, 6);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox9", hbox9);
  gtk_widget_show (hbox9);
  gtk_table_attach (GTK_TABLE (table1), hbox9, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  MOTD = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "MOTD", MOTD);
  gtk_widget_show (MOTD);
  gtk_box_pack_start (GTK_BOX (hbox9), MOTD, TRUE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, MOTD, "The file to be displayed to players when they connect to the server, the Message Of The Day", NULL);

  motd_button = gtk_button_new_with_label ("Select File...");
  gtk_object_set_data (GTK_OBJECT (gum), "motd_button", motd_button);
  gtk_widget_show (motd_button);
  gtk_box_pack_start (GTK_BOX (hbox9), motd_button, TRUE, TRUE, 0);
  gtk_signal_connect (GTK_OBJECT (motd_button), "clicked",
                      GTK_SIGNAL_FUNC (on_motd_clicked),
                      NULL);

  label85 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label85", label85);
  gtk_widget_show (label85);
  gtk_table_attach (GTK_TABLE (table1), label85, 0, 2, 13, 14,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  MOTD_LABEL = gtk_label_new ("Message of the day:");
  gtk_object_set_data (GTK_OBJECT (gum), "MOTD_LABEL", MOTD_LABEL);
  gtk_widget_show (MOTD_LABEL);
  gtk_table_attach (GTK_TABLE (table1), MOTD_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MOTD_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (MOTD_LABEL), 10, 0);

  SHOWSYSDEF_LABEL = gtk_label_new ("SHOWSYSDEF:");
  gtk_object_set_data (GTK_OBJECT (gum), "SHOWSYSDEF_LABEL", SHOWSYSDEF_LABEL);
  gtk_widget_show (SHOWSYSDEF_LABEL);
  gtk_table_attach (GTK_TABLE (table1), SHOWSYSDEF_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (SHOWSYSDEF_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (SHOWSYSDEF_LABEL), 10, 0);

  LOADCHECK_LABEL = gtk_label_new ("LOADCHECK:");
  gtk_object_set_data (GTK_OBJECT (gum), "LOADCHECK_LABEL", LOADCHECK_LABEL);
  gtk_widget_show (LOADCHECK_LABEL);
  gtk_table_attach (GTK_TABLE (table1), LOADCHECK_LABEL, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (LOADCHECK_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (LOADCHECK_LABEL), 10, 0);

  MAXLOAD_LABEL = gtk_label_new ("MAXLOAD:");
  gtk_object_set_data (GTK_OBJECT (gum), "MAXLOAD_LABEL", MAXLOAD_LABEL);
  gtk_widget_show (MAXLOAD_LABEL);
  gtk_table_attach (GTK_TABLE (table1), MAXLOAD_LABEL, 0, 1, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MAXLOAD_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (MAXLOAD_LABEL), 10, 0);

  CONFIRM_LABEL = gtk_label_new ("CONFIRM:");
  gtk_object_set_data (GTK_OBJECT (gum), "CONFIRM_LABEL", CONFIRM_LABEL);
  gtk_widget_show (CONFIRM_LABEL);
  gtk_table_attach (GTK_TABLE (table1), CONFIRM_LABEL, 0, 1, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CONFIRM_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CONFIRM_LABEL), 10, 0);

  UDP_LABEL = gtk_label_new ("UDP:");
  gtk_object_set_data (GTK_OBJECT (gum), "UDP_LABEL", UDP_LABEL);
  gtk_widget_show (UDP_LABEL);
  gtk_table_attach (GTK_TABLE (table1), UDP_LABEL, 0, 1, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, UDP_LABEL, "Fast network transfer mode, increases play performance and decreases network load", NULL);
  gtk_misc_set_alignment (GTK_MISC (UDP_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (UDP_LABEL), 10, 0);

  PING_FREQ_LABEL = gtk_label_new ("PING_FREQ:");
  gtk_object_set_data (GTK_OBJECT (gum), "PING_FREQ_LABEL", PING_FREQ_LABEL);
  gtk_widget_show (PING_FREQ_LABEL);
  gtk_table_attach (GTK_TABLE (table1), PING_FREQ_LABEL, 0, 1, 7, 8,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, PING_FREQ_LABEL, "Frequency of ping packets to client", NULL);
  gtk_misc_set_alignment (GTK_MISC (PING_FREQ_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (PING_FREQ_LABEL), 10, 0);

  PING_ILOSS_INTERVAL_LABEL = gtk_label_new ("PING_ILOSS_INTERVAL:");
  gtk_object_set_data (GTK_OBJECT (gum), "PING_ILOSS_INTERVAL_LABEL", PING_ILOSS_INTERVAL_LABEL);
  gtk_widget_show (PING_ILOSS_INTERVAL_LABEL);
  gtk_table_attach (GTK_TABLE (table1), PING_ILOSS_INTERVAL_LABEL, 0, 1, 8, 9,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (PING_ILOSS_INTERVAL_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (PING_ILOSS_INTERVAL_LABEL), 10, 0);

  PING_GHOSTBUST_LABEL = gtk_label_new ("PING_GHOSTBUST:");
  gtk_object_set_data (GTK_OBJECT (gum), "PING_GHOSTBUST_LABEL", PING_GHOSTBUST_LABEL);
  gtk_widget_show (PING_GHOSTBUST_LABEL);
  gtk_table_attach (GTK_TABLE (table1), PING_GHOSTBUST_LABEL, 0, 1, 9, 10,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (PING_GHOSTBUST_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (PING_GHOSTBUST_LABEL), 10, 0);

  PING_GHOSTBUST_INTERVAL_LABEL = gtk_label_new ("PING_GHOSTBUST_INTERVAL:");
  gtk_object_set_data (GTK_OBJECT (gum), "PING_GHOSTBUST_INTERVAL_LABEL", PING_GHOSTBUST_INTERVAL_LABEL);
  gtk_widget_show (PING_GHOSTBUST_INTERVAL_LABEL);
  gtk_table_attach (GTK_TABLE (table1), PING_GHOSTBUST_INTERVAL_LABEL, 0, 1, 10, 11,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (PING_GHOSTBUST_INTERVAL_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (PING_GHOSTBUST_INTERVAL_LABEL), 10, 0);

  PING_GHOSTBUST_INTERVAL = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PING_GHOSTBUST_INTERVAL", PING_GHOSTBUST_INTERVAL);
  gtk_widget_show (PING_GHOSTBUST_INTERVAL);
  gtk_table_attach (GTK_TABLE (table1), PING_GHOSTBUST_INTERVAL, 1, 2, 10, 11,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  hbox11 = gtk_hbox_new (FALSE, 10);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox11", hbox11);
  gtk_widget_show (hbox11);
  gtk_table_attach (GTK_TABLE (table1), hbox11, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  LOADCHECK_0 = gtk_radio_button_new_with_label (LOADCHECK_group, "No");
  LOADCHECK_group = gtk_radio_button_group (GTK_RADIO_BUTTON (LOADCHECK_0));
  gtk_object_set_data (GTK_OBJECT (gum), "LOADCHECK_0", LOADCHECK_0);
  gtk_widget_show (LOADCHECK_0);
  gtk_box_pack_start (GTK_BOX (hbox11), LOADCHECK_0, FALSE, FALSE, 0);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (LOADCHECK_0), TRUE);

  LOADCHECK_1 = gtk_radio_button_new_with_label (LOADCHECK_group, "Yes");
  LOADCHECK_group = gtk_radio_button_group (GTK_RADIO_BUTTON (LOADCHECK_1));
  gtk_object_set_data (GTK_OBJECT (gum), "LOADCHECK_1", LOADCHECK_1);
  gtk_widget_show (LOADCHECK_1);
  gtk_box_pack_start (GTK_BOX (hbox11), LOADCHECK_1, FALSE, FALSE, 0);

  hbox12 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox12", hbox12);
  gtk_widget_show (hbox12);
  gtk_table_attach (GTK_TABLE (table1), hbox12, 1, 2, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  MAXLOAD_adj = gtk_adjustment_new (10, 10, 1000, 25, 10, 10);
  MAXLOAD = gtk_spin_button_new (GTK_ADJUSTMENT (MAXLOAD_adj), 1, 1);
  gtk_object_set_data (GTK_OBJECT (gum), "MAXLOAD", MAXLOAD);
  gtk_widget_show (MAXLOAD);
  gtk_box_pack_start (GTK_BOX (hbox12), MAXLOAD, FALSE, FALSE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (MAXLOAD), TRUE);

  hbox13 = gtk_hbox_new (FALSE, 10);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox13", hbox13);
  gtk_widget_show (hbox13);
  gtk_table_attach (GTK_TABLE (table1), hbox13, 1, 2, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  CONFIRM_0 = gtk_radio_button_new_with_label (CONFIRM_group, "None");
  CONFIRM_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CONFIRM_0));
  gtk_object_set_data (GTK_OBJECT (gum), "CONFIRM_0", CONFIRM_0);
  gtk_widget_show (CONFIRM_0);
  gtk_box_pack_start (GTK_BOX (hbox13), CONFIRM_0, FALSE, FALSE, 0);

  CONFIRM_1 = gtk_radio_button_new_with_label (CONFIRM_group, "RSA");
  CONFIRM_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CONFIRM_1));
  gtk_object_set_data (GTK_OBJECT (gum), "CONFIRM_1", CONFIRM_1);
  gtk_widget_show (CONFIRM_1);
  gtk_box_pack_start (GTK_BOX (hbox13), CONFIRM_1, FALSE, FALSE, 0);

  CONFIRM_2 = gtk_radio_button_new_with_label (CONFIRM_group, "RSA & reserved.c");
  CONFIRM_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CONFIRM_2));
  gtk_object_set_data (GTK_OBJECT (gum), "CONFIRM_2", CONFIRM_2);
  gtk_widget_show (CONFIRM_2);
  gtk_box_pack_start (GTK_BOX (hbox13), CONFIRM_2, FALSE, FALSE, 0);

  hbox14 = gtk_hbox_new (FALSE, 10);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox14", hbox14);
  gtk_widget_show (hbox14);
  gtk_table_attach (GTK_TABLE (table1), hbox14, 1, 2, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  UDP_0 = gtk_radio_button_new_with_label (UDP_group, "Disabled");
  UDP_group = gtk_radio_button_group (GTK_RADIO_BUTTON (UDP_0));
  gtk_object_set_data (GTK_OBJECT (gum), "UDP_0", UDP_0);
  gtk_widget_show (UDP_0);
  gtk_box_pack_start (GTK_BOX (hbox14), UDP_0, FALSE, FALSE, 0);

  UDP_1 = gtk_radio_button_new_with_label (UDP_group, "Enabled");
  UDP_group = gtk_radio_button_group (GTK_RADIO_BUTTON (UDP_1));
  gtk_object_set_data (GTK_OBJECT (gum), "UDP_1", UDP_1);
  gtk_widget_show (UDP_1);
  gtk_box_pack_start (GTK_BOX (hbox14), UDP_1, FALSE, FALSE, 0);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (UDP_1), TRUE);

  UDP_2 = gtk_radio_button_new_with_label (UDP_group, "Debug");
  UDP_group = gtk_radio_button_group (GTK_RADIO_BUTTON (UDP_2));
  gtk_object_set_data (GTK_OBJECT (gum), "UDP_2", UDP_2);
  gtk_widget_show (UDP_2);
  gtk_box_pack_start (GTK_BOX (hbox14), UDP_2, FALSE, FALSE, 0);

  UDP_3 = gtk_radio_button_new_with_label (UDP_group, "Verbose");
  UDP_group = gtk_radio_button_group (GTK_RADIO_BUTTON (UDP_3));
  gtk_object_set_data (GTK_OBJECT (gum), "UDP_3", UDP_3);
  gtk_widget_show (UDP_3);
  gtk_box_pack_start (GTK_BOX (hbox14), UDP_3, FALSE, FALSE, 0);

  hbox15 = gtk_hbox_new (FALSE, 10);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox15", hbox15);
  gtk_widget_show (hbox15);
  gtk_table_attach (GTK_TABLE (table1), hbox15, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  SHOWSYSDEF_0 = gtk_radio_button_new_with_label (SHOWSYSDEF_group, "No");
  SHOWSYSDEF_group = gtk_radio_button_group (GTK_RADIO_BUTTON (SHOWSYSDEF_0));
  gtk_object_set_data (GTK_OBJECT (gum), "SHOWSYSDEF_0", SHOWSYSDEF_0);
  gtk_widget_show (SHOWSYSDEF_0);
  gtk_box_pack_start (GTK_BOX (hbox15), SHOWSYSDEF_0, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, SHOWSYSDEF_0, "Do not show .sysdef on galactic map of client on login", NULL);

  SHOWSYSDEF_1 = gtk_radio_button_new_with_label (SHOWSYSDEF_group, "Yes");
  SHOWSYSDEF_group = gtk_radio_button_group (GTK_RADIO_BUTTON (SHOWSYSDEF_1));
  gtk_object_set_data (GTK_OBJECT (gum), "SHOWSYSDEF_1", SHOWSYSDEF_1);
  gtk_widget_show (SHOWSYSDEF_1);
  gtk_box_pack_start (GTK_BOX (hbox15), SHOWSYSDEF_1, FALSE, FALSE, 0);
  gtk_tooltips_set_tip (tooltips, SHOWSYSDEF_1, "Show .sysdef on galactic map of client on login", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHOWSYSDEF_1), TRUE);

  MAXUPDATE_LABEL = gtk_label_new ("label132");
  gtk_object_set_data (GTK_OBJECT (gum), "MAXUPDATE_LABEL", MAXUPDATE_LABEL);
  gtk_widget_show (MAXUPDATE_LABEL);
  gtk_table_attach (GTK_TABLE (table1), MAXUPDATE_LABEL, 0, 1, 11, 12,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MAXUPDATE_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (MAXUPDATE_LABEL), 10, 0);

  DEFUPDATE_LABEL = gtk_label_new ("label133");
  gtk_object_set_data (GTK_OBJECT (gum), "DEFUPDATE_LABEL", DEFUPDATE_LABEL);
  gtk_widget_show (DEFUPDATE_LABEL);
  gtk_table_attach (GTK_TABLE (table1), DEFUPDATE_LABEL, 0, 1, 12, 13,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (DEFUPDATE_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (DEFUPDATE_LABEL), 10, 0);

  DEFUPDATE_adj = gtk_adjustment_new (10, 1, 10, 1, 10, 10);
  DEFUPDATE = gtk_spin_button_new (GTK_ADJUSTMENT (DEFUPDATE_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "DEFUPDATE", DEFUPDATE);
  gtk_widget_show (DEFUPDATE);
  gtk_table_attach (GTK_TABLE (table1), DEFUPDATE, 1, 2, 12, 13,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  MAXUPDATE_adj = gtk_adjustment_new (10, 1, 10, 1, 10, 10);
  MAXUPDATE = gtk_spin_button_new (GTK_ADJUSTMENT (MAXUPDATE_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "MAXUPDATE", MAXUPDATE);
  gtk_widget_show (MAXUPDATE);
  gtk_table_attach (GTK_TABLE (table1), MAXUPDATE, 1, 2, 11, 12,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  table4 = gtk_table_new (17, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table4", table4);
  gtk_widget_show (table4);
  gtk_container_add (GTK_CONTAINER (notebook1), table4);
  gtk_container_border_width (GTK_CONTAINER (table4), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table4), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table4), 6);

  label69 = gtk_label_new ("Style Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label69", label69);
  gtk_widget_show (label69);
  gtk_table_attach (GTK_TABLE (table4), label69, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  TOURN = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (4, 1, 8, 1, 0, 0)));
  gtk_object_set_data (GTK_OBJECT (gum), "TOURN", TOURN);
  gtk_widget_show (TOURN);
  gtk_table_attach (GTK_TABLE (table4), TOURN, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_scale_set_digits (GTK_SCALE (TOURN), 0);

  hbox1 = gtk_hbox_new (FALSE, 6);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox1", hbox1);
  gtk_widget_show (hbox1);
  gtk_table_attach (GTK_TABLE (table4), hbox1, 1, 2, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_container_border_width (GTK_CONTAINER (hbox1), 6);

  SHIPS_SC = gtk_check_button_new_with_label ("SC");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_SC", SHIPS_SC);
  gtk_widget_show (SHIPS_SC);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_SC, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_SC, "Scout", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHIPS_SC), TRUE);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_SC), FALSE);

  SHIPS_DD = gtk_check_button_new_with_label ("DD");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_DD", SHIPS_DD);
  gtk_widget_show (SHIPS_DD);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_DD, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_DD, "Destroyer", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHIPS_DD), TRUE);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_DD), FALSE);

  SHIPS_CA = gtk_check_button_new_with_label ("CA");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_CA", SHIPS_CA);
  gtk_widget_show (SHIPS_CA);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_CA, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_CA, "Cruiser", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHIPS_CA), TRUE);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_CA), FALSE);

  SHIPS_BB = gtk_check_button_new_with_label ("BB");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_BB", SHIPS_BB);
  gtk_widget_show (SHIPS_BB);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_BB, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_BB, "Battleship", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHIPS_BB), TRUE);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_BB), FALSE);

  SHIPS_AS = gtk_check_button_new_with_label ("AS");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_AS", SHIPS_AS);
  gtk_widget_show (SHIPS_AS);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_AS, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_AS, "Assault Ship", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHIPS_AS), TRUE);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_AS), FALSE);

  SHIPS_SB = gtk_check_button_new_with_label ("SB");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_SB", SHIPS_SB);
  gtk_widget_show (SHIPS_SB);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_SB, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_SB, "Starbase, or outpost", NULL);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (SHIPS_SB), TRUE);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_SB), FALSE);

  SHIPS_GA = gtk_check_button_new_with_label ("GA");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_GA", SHIPS_GA);
  gtk_widget_show (SHIPS_GA);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_GA, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_GA, "Galaxy", NULL);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_GA), FALSE);

  SHIPS_AT = gtk_check_button_new_with_label ("AT");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_AT", SHIPS_AT);
  gtk_widget_show (SHIPS_AT);
  gtk_box_pack_start (GTK_BOX (hbox1), SHIPS_AT, FALSE, TRUE, 0);
  gtk_tooltips_set_tip (tooltips, SHIPS_AT, "God ship, once someone has one of these, none of the others make any sense whatsoever.", NULL);
  gtk_toggle_button_set_mode (GTK_TOGGLE_BUTTON (SHIPS_AT), FALSE);

  label103 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label103", label103);
  gtk_widget_show (label103);
  gtk_box_pack_start (GTK_BOX (hbox1), label103, TRUE, TRUE, 0);

  hbox2 = gtk_hbox_new (FALSE, 6);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox2", hbox2);
  gtk_widget_show (hbox2);
  gtk_table_attach (GTK_TABLE (table4), hbox2, 1, 2, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_container_border_width (GTK_CONTAINER (hbox2), 6);

  WEAPONS_PLASMA = gtk_toggle_button_new_with_label ("PLASMA");
  gtk_object_set_data (GTK_OBJECT (gum), "WEAPONS_PLASMA", WEAPONS_PLASMA);
  gtk_widget_show (WEAPONS_PLASMA);
  gtk_box_pack_start (GTK_BOX (hbox2), WEAPONS_PLASMA, FALSE, TRUE, 0);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (WEAPONS_PLASMA), TRUE);

  WEAPONS_TRACTOR = gtk_toggle_button_new_with_label ("TRACTOR");
  gtk_object_set_data (GTK_OBJECT (gum), "WEAPONS_TRACTOR", WEAPONS_TRACTOR);
  gtk_widget_show (WEAPONS_TRACTOR);
  gtk_box_pack_start (GTK_BOX (hbox2), WEAPONS_TRACTOR, FALSE, TRUE, 0);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (WEAPONS_TRACTOR), TRUE);

  label102 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label102", label102);
  gtk_widget_show (label102);
  gtk_box_pack_start (GTK_BOX (hbox2), label102, TRUE, TRUE, 0);

  PLKILLS = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (2, 0, 10, 1, 0, 0)));
  gtk_object_set_data (GTK_OBJECT (gum), "PLKILLS", PLKILLS);
  gtk_widget_show (PLKILLS);
  gtk_table_attach (GTK_TABLE (table4), PLKILLS, 1, 2, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_scale_set_digits (GTK_SCALE (PLKILLS), 0);

  label91 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label91", label91);
  gtk_widget_show (label91);
  gtk_table_attach (GTK_TABLE (table4), label91, 0, 2, 16, 17,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  TOURN_LABEL = gtk_label_new ("Number of players per team for T-Mode:");
  gtk_object_set_data (GTK_OBJECT (gum), "TOURN_LABEL", TOURN_LABEL);
  gtk_widget_show (TOURN_LABEL);
  gtk_table_attach (GTK_TABLE (table4), TOURN_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (TOURN_LABEL), 1, 0.7);
  gtk_misc_set_padding (GTK_MISC (TOURN_LABEL), 10, 0);

  HUNTERKILLER_LABEL = gtk_label_new ("Periodically send in Iggy robot:");
  gtk_object_set_data (GTK_OBJECT (gum), "HUNTERKILLER_LABEL", HUNTERKILLER_LABEL);
  gtk_widget_show (HUNTERKILLER_LABEL);
  gtk_table_attach (GTK_TABLE (table4), HUNTERKILLER_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (HUNTERKILLER_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (HUNTERKILLER_LABEL), 10, 0);

  RESETGALAXY_LABEL = gtk_label_new ("Reset the galaxy on daemon restart:");
  gtk_object_set_data (GTK_OBJECT (gum), "RESETGALAXY_LABEL", RESETGALAXY_LABEL);
  gtk_widget_show (RESETGALAXY_LABEL);
  gtk_table_attach (GTK_TABLE (table4), RESETGALAXY_LABEL, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (RESETGALAXY_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (RESETGALAXY_LABEL), 10, 0);

  SHIPS_LABEL = gtk_label_new ("Ships players may chose:");
  gtk_object_set_data (GTK_OBJECT (gum), "SHIPS_LABEL", SHIPS_LABEL);
  gtk_widget_show (SHIPS_LABEL);
  gtk_table_attach (GTK_TABLE (table4), SHIPS_LABEL, 0, 1, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (SHIPS_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (SHIPS_LABEL), 10, 0);

  WEAPONS_LABEL = gtk_label_new ("Weapons enabled:");
  gtk_object_set_data (GTK_OBJECT (gum), "WEAPONS_LABEL", WEAPONS_LABEL);
  gtk_widget_show (WEAPONS_LABEL);
  gtk_table_attach (GTK_TABLE (table4), WEAPONS_LABEL, 0, 1, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (WEAPONS_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (WEAPONS_LABEL), 10, 0);

  PLKILLS_LABEL = gtk_label_new ("Kills required before refit for plasma:");
  gtk_object_set_data (GTK_OBJECT (gum), "PLKILLS_LABEL", PLKILLS_LABEL);
  gtk_widget_show (PLKILLS_LABEL);
  gtk_table_attach (GTK_TABLE (table4), PLKILLS_LABEL, 0, 1, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (PLKILLS_LABEL), 1, 0.7);
  gtk_misc_set_padding (GTK_MISC (PLKILLS_LABEL), 10, 0);

  SBRANK_LABEL = gtk_label_new ("Rank required before refit to Stabase:");
  gtk_object_set_data (GTK_OBJECT (gum), "SBRANK_LABEL", SBRANK_LABEL);
  gtk_widget_show (SBRANK_LABEL);
  gtk_table_attach (GTK_TABLE (table4), SBRANK_LABEL, 0, 1, 7, 8,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (SBRANK_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (SBRANK_LABEL), 10, 0);

  NODIAG_LABEL = gtk_label_new ("Prevent diagonal team selection:");
  gtk_object_set_data (GTK_OBJECT (gum), "NODIAG_LABEL", NODIAG_LABEL);
  gtk_widget_show (NODIAG_LABEL);
  gtk_table_attach (GTK_TABLE (table4), NODIAG_LABEL, 0, 1, 8, 9,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (NODIAG_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (NODIAG_LABEL), 10, 0);

  TOPGUN_LABEL = gtk_label_new ("Enable TOPGUN mode:");
  gtk_object_set_data (GTK_OBJECT (gum), "TOPGUN_LABEL", TOPGUN_LABEL);
  gtk_widget_show (TOPGUN_LABEL);
  gtk_table_attach (GTK_TABLE (table4), TOPGUN_LABEL, 0, 1, 9, 10,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (TOPGUN_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (TOPGUN_LABEL), 10, 0);

  NEWTURN_LABEL = gtk_label_new ("Enable new turning modifications:");
  gtk_object_set_data (GTK_OBJECT (gum), "NEWTURN_LABEL", NEWTURN_LABEL);
  gtk_widget_show (NEWTURN_LABEL);
  gtk_table_attach (GTK_TABLE (table4), NEWTURN_LABEL, 0, 1, 10, 11,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (NEWTURN_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (NEWTURN_LABEL), 10, 0);

  HIDDEN_LABEL = gtk_label_new ("Ships hidden by distance in T-Mode:");
  gtk_object_set_data (GTK_OBJECT (gum), "HIDDEN_LABEL", HIDDEN_LABEL);
  gtk_widget_show (HIDDEN_LABEL);
  gtk_table_attach (GTK_TABLE (table4), HIDDEN_LABEL, 0, 1, 11, 12,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (HIDDEN_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (HIDDEN_LABEL), 10, 0);

  SURRSTART_LABEL = gtk_label_new ("Race surrender starting point (planets):");
  gtk_object_set_data (GTK_OBJECT (gum), "SURRSTART_LABEL", SURRSTART_LABEL);
  gtk_widget_show (SURRSTART_LABEL);
  gtk_table_attach (GTK_TABLE (table4), SURRSTART_LABEL, 0, 1, 12, 13,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (SURRSTART_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (SURRSTART_LABEL), 10, 0);

  TRANSWARP_LABEL = gtk_label_new ("Enable ship to Starbase transwarp:");
  gtk_object_set_data (GTK_OBJECT (gum), "TRANSWARP_LABEL", TRANSWARP_LABEL);
  gtk_widget_show (TRANSWARP_LABEL);
  gtk_table_attach (GTK_TABLE (table4), TRANSWARP_LABEL, 0, 1, 13, 14,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, TRANSWARP_LABEL, "Enable transwarp to starbase.", NULL);
  gtk_misc_set_alignment (GTK_MISC (TRANSWARP_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (TRANSWARP_LABEL), 10, 0);

  WARPSPEED_LABEL = gtk_label_new ("Transwarp speed:");
  gtk_object_set_data (GTK_OBJECT (gum), "WARPSPEED_LABEL", WARPSPEED_LABEL);
  gtk_widget_show (WARPSPEED_LABEL);
  gtk_table_attach (GTK_TABLE (table4), WARPSPEED_LABEL, 0, 1, 14, 15,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, WARPSPEED_LABEL, "Sets the transwarp speed", NULL);
  gtk_misc_set_alignment (GTK_MISC (WARPSPEED_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (WARPSPEED_LABEL), 10, 0);

  VECTOR_LABEL = gtk_label_new ("Enable vector torps:");
  gtk_object_set_data (GTK_OBJECT (gum), "VECTOR_LABEL", VECTOR_LABEL);
  gtk_widget_show (VECTOR_LABEL);
  gtk_table_attach (GTK_TABLE (table4), VECTOR_LABEL, 0, 1, 15, 16,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, VECTOR_LABEL, "Enable vector torps mode.  In this mode, torpedoes hurt enemy ships when detonated by their owner.", NULL);
  gtk_misc_set_alignment (GTK_MISC (VECTOR_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (VECTOR_LABEL), 10, 0);

  hbox29 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox29", hbox29);
  gtk_widget_show (hbox29);
  gtk_table_attach (GTK_TABLE (table4), hbox29, 1, 2, 9, 10,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  TOPGUN_0 = gtk_radio_button_new_with_label (TOPGUN_group, "No");
  TOPGUN_group = gtk_radio_button_group (GTK_RADIO_BUTTON (TOPGUN_0));
  gtk_object_set_data (GTK_OBJECT (gum), "TOPGUN_0", TOPGUN_0);
  gtk_widget_show (TOPGUN_0);
  gtk_box_pack_start (GTK_BOX (hbox29), TOPGUN_0, FALSE, FALSE, 0);

  TOPGUN_1 = gtk_radio_button_new_with_label (TOPGUN_group, "Yes");
  TOPGUN_group = gtk_radio_button_group (GTK_RADIO_BUTTON (TOPGUN_1));
  gtk_object_set_data (GTK_OBJECT (gum), "TOPGUN_1", TOPGUN_1);
  gtk_widget_show (TOPGUN_1);
  gtk_box_pack_start (GTK_BOX (hbox29), TOPGUN_1, FALSE, FALSE, 0);

  hbox28 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox28", hbox28);
  gtk_widget_show (hbox28);
  gtk_table_attach (GTK_TABLE (table4), hbox28, 1, 2, 8, 9,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  NODIAG_0 = gtk_radio_button_new_with_label (NODIAG_group, "No");
  NODIAG_group = gtk_radio_button_group (GTK_RADIO_BUTTON (NODIAG_0));
  gtk_object_set_data (GTK_OBJECT (gum), "NODIAG_0", NODIAG_0);
  gtk_widget_show (NODIAG_0);
  gtk_box_pack_start (GTK_BOX (hbox28), NODIAG_0, FALSE, FALSE, 0);

  NODIAG_1 = gtk_radio_button_new_with_label (NODIAG_group, "Yes");
  NODIAG_group = gtk_radio_button_group (GTK_RADIO_BUTTON (NODIAG_1));
  gtk_object_set_data (GTK_OBJECT (gum), "NODIAG_1", NODIAG_1);
  gtk_widget_show (NODIAG_1);
  gtk_box_pack_start (GTK_BOX (hbox28), NODIAG_1, FALSE, FALSE, 0);

  hbox27 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox27", hbox27);
  gtk_widget_show (hbox27);
  gtk_table_attach (GTK_TABLE (table4), hbox27, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  RESETGALAXY_0 = gtk_radio_button_new_with_label (RESETGALAXY_group, "No");
  RESETGALAXY_group = gtk_radio_button_group (GTK_RADIO_BUTTON (RESETGALAXY_0));
  gtk_object_set_data (GTK_OBJECT (gum), "RESETGALAXY_0", RESETGALAXY_0);
  gtk_widget_show (RESETGALAXY_0);
  gtk_box_pack_start (GTK_BOX (hbox27), RESETGALAXY_0, FALSE, FALSE, 0);

  RESETGALAXY_1 = gtk_radio_button_new_with_label (RESETGALAXY_group, "Yes");
  RESETGALAXY_group = gtk_radio_button_group (GTK_RADIO_BUTTON (RESETGALAXY_1));
  gtk_object_set_data (GTK_OBJECT (gum), "RESETGALAXY_1", RESETGALAXY_1);
  gtk_widget_show (RESETGALAXY_1);
  gtk_box_pack_start (GTK_BOX (hbox27), RESETGALAXY_1, FALSE, FALSE, 0);

  hbox26 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox26", hbox26);
  gtk_widget_show (hbox26);
  gtk_table_attach (GTK_TABLE (table4), hbox26, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  HUNTERKILLER_0 = gtk_radio_button_new_with_label (HUNTERKILLER_group, "No");
  HUNTERKILLER_group = gtk_radio_button_group (GTK_RADIO_BUTTON (HUNTERKILLER_0));
  gtk_object_set_data (GTK_OBJECT (gum), "HUNTERKILLER_0", HUNTERKILLER_0);
  gtk_widget_show (HUNTERKILLER_0);
  gtk_box_pack_start (GTK_BOX (hbox26), HUNTERKILLER_0, FALSE, FALSE, 0);

  HUNTERKILLER_1 = gtk_radio_button_new_with_label (HUNTERKILLER_group, "Yes");
  HUNTERKILLER_group = gtk_radio_button_group (GTK_RADIO_BUTTON (HUNTERKILLER_1));
  gtk_object_set_data (GTK_OBJECT (gum), "HUNTERKILLER_1", HUNTERKILLER_1);
  gtk_widget_show (HUNTERKILLER_1);
  gtk_box_pack_start (GTK_BOX (hbox26), HUNTERKILLER_1, FALSE, FALSE, 0);

  hbox30 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox30", hbox30);
  gtk_widget_show (hbox30);
  gtk_table_attach (GTK_TABLE (table4), hbox30, 1, 2, 10, 11,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  NEWTURN_0 = gtk_radio_button_new_with_label (NEWTURN_group, "No");
  NEWTURN_group = gtk_radio_button_group (GTK_RADIO_BUTTON (NEWTURN_0));
  gtk_object_set_data (GTK_OBJECT (gum), "NEWTURN_0", NEWTURN_0);
  gtk_widget_show (NEWTURN_0);
  gtk_box_pack_start (GTK_BOX (hbox30), NEWTURN_0, FALSE, FALSE, 0);

  NEWTURN_1 = gtk_radio_button_new_with_label (NEWTURN_group, "Yes");
  NEWTURN_group = gtk_radio_button_group (GTK_RADIO_BUTTON (NEWTURN_1));
  gtk_object_set_data (GTK_OBJECT (gum), "NEWTURN_1", NEWTURN_1);
  gtk_widget_show (NEWTURN_1);
  gtk_box_pack_start (GTK_BOX (hbox30), NEWTURN_1, FALSE, FALSE, 0);

  hbox31 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox31", hbox31);
  gtk_widget_show (hbox31);
  gtk_table_attach (GTK_TABLE (table4), hbox31, 1, 2, 13, 14,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  TRANSWARP_0 = gtk_radio_button_new_with_label (TRANSWARP_group, "No");
  TRANSWARP_group = gtk_radio_button_group (GTK_RADIO_BUTTON (TRANSWARP_0));
  gtk_object_set_data (GTK_OBJECT (gum), "TRANSWARP_0", TRANSWARP_0);
  gtk_widget_show (TRANSWARP_0);
  gtk_box_pack_start (GTK_BOX (hbox31), TRANSWARP_0, FALSE, FALSE, 0);

  TRANSWARP_1 = gtk_radio_button_new_with_label (TRANSWARP_group, "Yes");
  TRANSWARP_group = gtk_radio_button_group (GTK_RADIO_BUTTON (TRANSWARP_1));
  gtk_object_set_data (GTK_OBJECT (gum), "TRANSWARP_1", TRANSWARP_1);
  gtk_widget_show (TRANSWARP_1);
  gtk_box_pack_start (GTK_BOX (hbox31), TRANSWARP_1, FALSE, FALSE, 0);

  hbox32 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox32", hbox32);
  gtk_widget_show (hbox32);
  gtk_table_attach (GTK_TABLE (table4), hbox32, 1, 2, 15, 16,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  VECTOR_0 = gtk_radio_button_new_with_label (VECTOR_group, "No");
  VECTOR_group = gtk_radio_button_group (GTK_RADIO_BUTTON (VECTOR_0));
  gtk_object_set_data (GTK_OBJECT (gum), "VECTOR_0", VECTOR_0);
  gtk_widget_show (VECTOR_0);
  gtk_box_pack_start (GTK_BOX (hbox32), VECTOR_0, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (VECTOR_0, FALSE);

  VECTOR_1 = gtk_radio_button_new_with_label (VECTOR_group, "Yes");
  VECTOR_group = gtk_radio_button_group (GTK_RADIO_BUTTON (VECTOR_1));
  gtk_object_set_data (GTK_OBJECT (gum), "VECTOR_1", VECTOR_1);
  gtk_widget_show (VECTOR_1);
  gtk_box_pack_start (GTK_BOX (hbox32), VECTOR_1, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (VECTOR_1, FALSE);
  gtk_tooltips_set_tip (tooltips, VECTOR_1, "2.8pl1 has no code for this", NULL);

  hbox10 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox10", hbox10);
  gtk_widget_show (hbox10);
  gtk_table_attach (GTK_TABLE (table4), hbox10, 1, 2, 11, 12,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  HIDDEN_0 = gtk_radio_button_new_with_label (HIDDEN_group, "No");
  HIDDEN_group = gtk_radio_button_group (GTK_RADIO_BUTTON (HIDDEN_0));
  gtk_object_set_data (GTK_OBJECT (gum), "HIDDEN_0", HIDDEN_0);
  gtk_widget_show (HIDDEN_0);
  gtk_box_pack_start (GTK_BOX (hbox10), HIDDEN_0, FALSE, FALSE, 0);

  HIDDEN_1 = gtk_radio_button_new_with_label (HIDDEN_group, "Yes");
  HIDDEN_group = gtk_radio_button_group (GTK_RADIO_BUTTON (HIDDEN_1));
  gtk_object_set_data (GTK_OBJECT (gum), "HIDDEN_1", HIDDEN_1);
  gtk_widget_show (HIDDEN_1);
  gtk_box_pack_start (GTK_BOX (hbox10), HIDDEN_1, FALSE, FALSE, 0);
  gtk_toggle_button_set_state (GTK_TOGGLE_BUTTON (HIDDEN_1), TRUE);

  SURRSTART = gtk_hscale_new (GTK_ADJUSTMENT (gtk_adjustment_new (2, 0, 10, 1, 0, 0)));
  gtk_object_set_data (GTK_OBJECT (gum), "SURRSTART", SURRSTART);
  gtk_widget_show (SURRSTART);
  gtk_table_attach (GTK_TABLE (table4), SURRSTART, 1, 2, 12, 13,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);
  gtk_scale_set_digits (GTK_SCALE (SURRSTART), 0);

  WARPSPEED_adj = gtk_adjustment_new (60, 0, 100, 1, 10, 10);
  WARPSPEED = gtk_spin_button_new (GTK_ADJUSTMENT (WARPSPEED_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "WARPSPEED", WARPSPEED);
  gtk_widget_show (WARPSPEED);
  gtk_table_attach (GTK_TABLE (table4), WARPSPEED, 1, 2, 14, 15,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  SBRANK = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "SBRANK", SBRANK);
  gtk_widget_show (SBRANK);
  gtk_table_attach (GTK_TABLE (table4), SBRANK, 1, 2, 7, 8,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  table2 = gtk_table_new (4, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table2", table2);
  gtk_widget_show (table2);
  gtk_container_add (GTK_CONTAINER (notebook1), table2);
  gtk_container_border_width (GTK_CONTAINER (table2), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table2), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table2), 6);

  label70 = gtk_label_new ("Clue Checking Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label70", label70);
  gtk_widget_show (label70);
  gtk_table_attach (GTK_TABLE (table2), label70, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  label74 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label74", label74);
  gtk_widget_show (label74);
  gtk_table_attach (GTK_TABLE (table2), label74, 0, 2, 3, 4,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  CLUE_LABEL = gtk_label_new ("CLUE:");
  gtk_object_set_data (GTK_OBJECT (gum), "CLUE_LABEL", CLUE_LABEL);
  gtk_widget_show (CLUE_LABEL);
  gtk_table_attach (GTK_TABLE (table2), CLUE_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CLUE_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CLUE_LABEL), 10, 0);

  CLUERANK_LABEL = gtk_label_new ("CLUERANK:");
  gtk_object_set_data (GTK_OBJECT (gum), "CLUERANK_LABEL", CLUERANK_LABEL);
  gtk_widget_show (CLUERANK_LABEL);
  gtk_table_attach (GTK_TABLE (table2), CLUERANK_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CLUERANK_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CLUERANK_LABEL), 10, 0);

  hbox33 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox33", hbox33);
  gtk_widget_show (hbox33);
  gtk_table_attach (GTK_TABLE (table2), hbox33, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  CLUE_0 = gtk_radio_button_new_with_label (CLUE_group, "None");
  CLUE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CLUE_0));
  gtk_object_set_data (GTK_OBJECT (gum), "CLUE_0", CLUE_0);
  gtk_widget_show (CLUE_0);
  gtk_box_pack_start (GTK_BOX (hbox33), CLUE_0, FALSE, FALSE, 0);

  CLUE_1 = gtk_radio_button_new_with_label (CLUE_group, "Keyword");
  CLUE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CLUE_1));
  gtk_object_set_data (GTK_OBJECT (gum), "CLUE_1", CLUE_1);
  gtk_widget_show (CLUE_1);
  gtk_box_pack_start (GTK_BOX (hbox33), CLUE_1, FALSE, FALSE, 0);

  CLUE_2 = gtk_radio_button_new_with_label (CLUE_group, "Question & Answer");
  CLUE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CLUE_2));
  gtk_object_set_data (GTK_OBJECT (gum), "CLUE_2", CLUE_2);
  gtk_widget_show (CLUE_2);
  gtk_box_pack_start (GTK_BOX (hbox33), CLUE_2, FALSE, FALSE, 0);

  CLUERANK = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "CLUERANK", CLUERANK);
  gtk_widget_show (CLUERANK);
  gtk_table_attach (GTK_TABLE (table2), CLUERANK, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  table5 = gtk_table_new (10, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table5", table5);
  gtk_widget_show (table5);
  gtk_container_add (GTK_CONTAINER (notebook1), table5);
  gtk_container_border_width (GTK_CONTAINER (table5), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table5), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table5), 6);

  label104 = gtk_label_new ("Messaging Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label104", label104);
  gtk_widget_show (label104);
  gtk_table_attach (GTK_TABLE (table5), label104, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  label105 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label105", label105);
  gtk_widget_show (label105);
  gtk_table_attach (GTK_TABLE (table5), label105, 0, 2, 9, 10,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  CHECKMESG_LABEL = gtk_label_new ("CHECKMESG:");
  gtk_object_set_data (GTK_OBJECT (gum), "CHECKMESG_LABEL", CHECKMESG_LABEL);
  gtk_widget_show (CHECKMESG_LABEL);
  gtk_table_attach (GTK_TABLE (table5), CHECKMESG_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CHECKMESG_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CHECKMESG_LABEL), 10, 0);

  LOGALL_LABEL = gtk_label_new ("LOGALL:");
  gtk_object_set_data (GTK_OBJECT (gum), "LOGALL_LABEL", LOGALL_LABEL);
  gtk_widget_show (LOGALL_LABEL);
  gtk_table_attach (GTK_TABLE (table5), LOGALL_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (LOGALL_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (LOGALL_LABEL), 10, 0);

  LOGGOD_LABEL = gtk_label_new ("LOGGOD:");
  gtk_object_set_data (GTK_OBJECT (gum), "LOGGOD_LABEL", LOGGOD_LABEL);
  gtk_widget_show (LOGGOD_LABEL);
  gtk_table_attach (GTK_TABLE (table5), LOGGOD_LABEL, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (LOGGOD_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (LOGGOD_LABEL), 10, 0);

  EVENTLOG_LABEL = gtk_label_new ("EVENTLOG:");
  gtk_object_set_data (GTK_OBJECT (gum), "EVENTLOG_LABEL", EVENTLOG_LABEL);
  gtk_widget_show (EVENTLOG_LABEL);
  gtk_table_attach (GTK_TABLE (table5), EVENTLOG_LABEL, 0, 1, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (EVENTLOG_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (EVENTLOG_LABEL), 10, 0);

  DOOSHER_LABEL = gtk_label_new ("DOOSHER:");
  gtk_object_set_data (GTK_OBJECT (gum), "DOOSHER_LABEL", DOOSHER_LABEL);
  gtk_widget_show (DOOSHER_LABEL);
  gtk_table_attach (GTK_TABLE (table5), DOOSHER_LABEL, 0, 1, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (DOOSHER_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (DOOSHER_LABEL), 10, 0);

  CHECKSCUM_LABEL = gtk_label_new ("CHECKSCUM:");
  gtk_object_set_data (GTK_OBJECT (gum), "CHECKSCUM_LABEL", CHECKSCUM_LABEL);
  gtk_widget_show (CHECKSCUM_LABEL);
  gtk_table_attach (GTK_TABLE (table5), CHECKSCUM_LABEL, 0, 1, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CHECKSCUM_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CHECKSCUM_LABEL), 10, 0);

  WHYMESS_LABEL = gtk_label_new ("WHYMESS:");
  gtk_object_set_data (GTK_OBJECT (gum), "WHYMESS_LABEL", WHYMESS_LABEL);
  gtk_widget_show (WHYMESS_LABEL);
  gtk_table_attach (GTK_TABLE (table5), WHYMESS_LABEL, 0, 1, 7, 8,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (WHYMESS_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (WHYMESS_LABEL), 10, 0);

  ERROR_LEVEL_LABEL = gtk_label_new ("ERROR_LEVEL:");
  gtk_object_set_data (GTK_OBJECT (gum), "ERROR_LEVEL_LABEL", ERROR_LEVEL_LABEL);
  gtk_widget_show (ERROR_LEVEL_LABEL);
  gtk_table_attach (GTK_TABLE (table5), ERROR_LEVEL_LABEL, 0, 1, 8, 9,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (ERROR_LEVEL_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (ERROR_LEVEL_LABEL), 10, 0);

  hbox36 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox36", hbox36);
  gtk_widget_show (hbox36);
  gtk_table_attach (GTK_TABLE (table5), hbox36, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  LOGGOD_0 = gtk_radio_button_new_with_label (LOGGOD_group, "No");
  LOGGOD_group = gtk_radio_button_group (GTK_RADIO_BUTTON (LOGGOD_0));
  gtk_object_set_data (GTK_OBJECT (gum), "LOGGOD_0", LOGGOD_0);
  gtk_widget_show (LOGGOD_0);
  gtk_box_pack_start (GTK_BOX (hbox36), LOGGOD_0, FALSE, FALSE, 0);

  LOGGOD_1 = gtk_radio_button_new_with_label (LOGGOD_group, "Yes");
  LOGGOD_group = gtk_radio_button_group (GTK_RADIO_BUTTON (LOGGOD_1));
  gtk_object_set_data (GTK_OBJECT (gum), "LOGGOD_1", LOGGOD_1);
  gtk_widget_show (LOGGOD_1);
  gtk_box_pack_start (GTK_BOX (hbox36), LOGGOD_1, FALSE, FALSE, 0);

  hbox35 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox35", hbox35);
  gtk_widget_show (hbox35);
  gtk_table_attach (GTK_TABLE (table5), hbox35, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  LOGALL_0 = gtk_radio_button_new_with_label (LOGALL_group, "No");
  LOGALL_group = gtk_radio_button_group (GTK_RADIO_BUTTON (LOGALL_0));
  gtk_object_set_data (GTK_OBJECT (gum), "LOGALL_0", LOGALL_0);
  gtk_widget_show (LOGALL_0);
  gtk_box_pack_start (GTK_BOX (hbox35), LOGALL_0, FALSE, FALSE, 0);

  LOGALL_1 = gtk_radio_button_new_with_label (LOGALL_group, "Yes");
  LOGALL_group = gtk_radio_button_group (GTK_RADIO_BUTTON (LOGALL_1));
  gtk_object_set_data (GTK_OBJECT (gum), "LOGALL_1", LOGALL_1);
  gtk_widget_show (LOGALL_1);
  gtk_box_pack_start (GTK_BOX (hbox35), LOGALL_1, FALSE, FALSE, 0);

  hbox34 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox34", hbox34);
  gtk_widget_show (hbox34);
  gtk_table_attach (GTK_TABLE (table5), hbox34, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  CHECKMESG_0 = gtk_radio_button_new_with_label (CHECKMESG_group, "No");
  CHECKMESG_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CHECKMESG_0));
  gtk_object_set_data (GTK_OBJECT (gum), "CHECKMESG_0", CHECKMESG_0);
  gtk_widget_show (CHECKMESG_0);
  gtk_box_pack_start (GTK_BOX (hbox34), CHECKMESG_0, FALSE, FALSE, 0);

  CHECKMESG_1 = gtk_radio_button_new_with_label (CHECKMESG_group, "Yes");
  CHECKMESG_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CHECKMESG_1));
  gtk_object_set_data (GTK_OBJECT (gum), "CHECKMESG_1", CHECKMESG_1);
  gtk_widget_show (CHECKMESG_1);
  gtk_box_pack_start (GTK_BOX (hbox34), CHECKMESG_1, FALSE, FALSE, 0);

  hbox37 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox37", hbox37);
  gtk_widget_show (hbox37);
  gtk_table_attach (GTK_TABLE (table5), hbox37, 1, 2, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  EVENTLOG_0 = gtk_radio_button_new_with_label (EVENTLOG_group, "No");
  EVENTLOG_group = gtk_radio_button_group (GTK_RADIO_BUTTON (EVENTLOG_0));
  gtk_object_set_data (GTK_OBJECT (gum), "EVENTLOG_0", EVENTLOG_0);
  gtk_widget_show (EVENTLOG_0);
  gtk_box_pack_start (GTK_BOX (hbox37), EVENTLOG_0, FALSE, FALSE, 0);

  EVENTLOG_1 = gtk_radio_button_new_with_label (EVENTLOG_group, "Yes");
  EVENTLOG_group = gtk_radio_button_group (GTK_RADIO_BUTTON (EVENTLOG_1));
  gtk_object_set_data (GTK_OBJECT (gum), "EVENTLOG_1", EVENTLOG_1);
  gtk_widget_show (EVENTLOG_1);
  gtk_box_pack_start (GTK_BOX (hbox37), EVENTLOG_1, FALSE, FALSE, 0);

  hbox38 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox38", hbox38);
  gtk_widget_show (hbox38);
  gtk_table_attach (GTK_TABLE (table5), hbox38, 1, 2, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  DOOSHER_0 = gtk_radio_button_new_with_label (DOOSHER_group, "No");
  DOOSHER_group = gtk_radio_button_group (GTK_RADIO_BUTTON (DOOSHER_0));
  gtk_object_set_data (GTK_OBJECT (gum), "DOOSHER_0", DOOSHER_0);
  gtk_widget_show (DOOSHER_0);
  gtk_box_pack_start (GTK_BOX (hbox38), DOOSHER_0, FALSE, FALSE, 0);

  DOOSHER_1 = gtk_radio_button_new_with_label (DOOSHER_group, "Yes");
  DOOSHER_group = gtk_radio_button_group (GTK_RADIO_BUTTON (DOOSHER_1));
  gtk_object_set_data (GTK_OBJECT (gum), "DOOSHER_1", DOOSHER_1);
  gtk_widget_show (DOOSHER_1);
  gtk_box_pack_start (GTK_BOX (hbox38), DOOSHER_1, FALSE, FALSE, 0);

  hbox39 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox39", hbox39);
  gtk_widget_show (hbox39);
  gtk_table_attach (GTK_TABLE (table5), hbox39, 1, 2, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  CHECKSCUM_0 = gtk_radio_button_new_with_label (CHECKSCUM_group, "No");
  CHECKSCUM_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CHECKSCUM_0));
  gtk_object_set_data (GTK_OBJECT (gum), "CHECKSCUM_0", CHECKSCUM_0);
  gtk_widget_show (CHECKSCUM_0);
  gtk_box_pack_start (GTK_BOX (hbox39), CHECKSCUM_0, FALSE, FALSE, 0);

  CHECKSCUM_1 = gtk_radio_button_new_with_label (CHECKSCUM_group, "Yes");
  CHECKSCUM_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CHECKSCUM_1));
  gtk_object_set_data (GTK_OBJECT (gum), "CHECKSCUM_1", CHECKSCUM_1);
  gtk_widget_show (CHECKSCUM_1);
  gtk_box_pack_start (GTK_BOX (hbox39), CHECKSCUM_1, FALSE, FALSE, 0);

  hbox40 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox40", hbox40);
  gtk_widget_show (hbox40);
  gtk_table_attach (GTK_TABLE (table5), hbox40, 1, 2, 7, 8,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  WHYMESS_0 = gtk_radio_button_new_with_label (WHYMESS_group, "No");
  WHYMESS_group = gtk_radio_button_group (GTK_RADIO_BUTTON (WHYMESS_0));
  gtk_object_set_data (GTK_OBJECT (gum), "WHYMESS_0", WHYMESS_0);
  gtk_widget_show (WHYMESS_0);
  gtk_box_pack_start (GTK_BOX (hbox40), WHYMESS_0, FALSE, FALSE, 0);

  WHYMESS_1 = gtk_radio_button_new_with_label (WHYMESS_group, "Yes");
  WHYMESS_group = gtk_radio_button_group (GTK_RADIO_BUTTON (WHYMESS_1));
  gtk_object_set_data (GTK_OBJECT (gum), "WHYMESS_1", WHYMESS_1);
  gtk_widget_show (WHYMESS_1);
  gtk_box_pack_start (GTK_BOX (hbox40), WHYMESS_1, FALSE, FALSE, 0);

  hbox41 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox41", hbox41);
  gtk_widget_show (hbox41);
  gtk_table_attach (GTK_TABLE (table5), hbox41, 1, 2, 8, 9,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  ERROR_LEVEL_adj = gtk_adjustment_new (0, 0, 100, 1, 10, 10);
  ERROR_LEVEL = gtk_spin_button_new (GTK_ADJUSTMENT (ERROR_LEVEL_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "ERROR_LEVEL", ERROR_LEVEL);
  gtk_widget_show (ERROR_LEVEL);
  gtk_box_pack_start (GTK_BOX (hbox41), ERROR_LEVEL, FALSE, FALSE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (ERROR_LEVEL), TRUE);

  table6 = gtk_table_new (7, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table6", table6);
  gtk_widget_show (table6);
  gtk_container_add (GTK_CONTAINER (notebook1), table6);
  gtk_container_border_width (GTK_CONTAINER (table6), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table6), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table6), 6);

  label115 = gtk_label_new ("Galaxy and planet settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label115", label115);
  gtk_widget_show (label115);
  gtk_table_attach (GTK_TABLE (table6), label115, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  hbox8 = gtk_hbox_new (FALSE, 6);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox8", hbox8);
  gtk_widget_show (hbox8);
  gtk_table_attach (GTK_TABLE (table6), hbox8, 1, 2, 5, 6,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_container_border_width (GTK_CONTAINER (hbox8), 6);

  table13 = gtk_table_new (1, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table13", table13);
  gtk_widget_show (table13);
  gtk_box_pack_start (GTK_BOX (hbox8), table13, TRUE, TRUE, 0);

  START_ARMIES_adj = gtk_adjustment_new (17, 1, 100, 1, 10, 10);
  START_ARMIES = gtk_spin_button_new (GTK_ADJUSTMENT (START_ARMIES_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "START_ARMIES", START_ARMIES);
  gtk_widget_show (START_ARMIES);
  gtk_table_attach (GTK_TABLE (table13), START_ARMIES, 0, 1, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (START_ARMIES), TRUE);

  label120 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label120", label120);
  gtk_widget_show (label120);
  gtk_table_attach (GTK_TABLE (table13), label120, 1, 2, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  label119 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label119", label119);
  gtk_widget_show (label119);
  gtk_box_pack_start (GTK_BOX (hbox8), label119, TRUE, TRUE, 0);

  table11 = gtk_table_new (4, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table11", table11);
  gtk_widget_show (table11);
  gtk_table_attach (GTK_TABLE (table6), table11, 1, 2, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_container_border_width (GTK_CONTAINER (table11), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table11), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table11), 6);

  PLANETS_1 = gtk_option_menu_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PLANETS_1", PLANETS_1);
  gtk_widget_show (PLANETS_1);
  gtk_table_attach (GTK_TABLE (table11), PLANETS_1, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (PLANETS_1, FALSE);
  PLANETS_1_menu = gtk_menu_new ();
  glade_menuitem = gtk_menu_item_new_with_label ("Romulus");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Eridani");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Aldeberan");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Regulus");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Capella");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Tauri");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Draconis");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Sirius");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Indi");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Hydrae");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_1_menu), glade_menuitem);
  gtk_option_menu_set_menu (GTK_OPTION_MENU (PLANETS_1), PLANETS_1_menu);

  PLANETS_0 = gtk_option_menu_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PLANETS_0", PLANETS_0);
  gtk_widget_show (PLANETS_0);
  gtk_table_attach (GTK_TABLE (table11), PLANETS_0, 1, 2, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (PLANETS_0, FALSE);
  PLANETS_0_menu = gtk_menu_new ();
  glade_menuitem = gtk_menu_item_new_with_label ("Earth");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Rigel");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Canopus");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Beta Crucis");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Organia");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Ceti Alpha V");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Altair");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Vega");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Alpha Centauri");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_0_menu), glade_menuitem);
  gtk_option_menu_set_menu (GTK_OPTION_MENU (PLANETS_0), PLANETS_0_menu);

  PLANETS_2 = gtk_option_menu_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PLANETS_2", PLANETS_2);
  gtk_widget_show (PLANETS_2);
  gtk_table_attach (GTK_TABLE (table11), PLANETS_2, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (PLANETS_2, FALSE);
  PLANETS_2_menu = gtk_menu_new ();
  glade_menuitem = gtk_menu_item_new_with_label ("Klingus");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Pliedes V");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Andromeda");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Lalande");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Praxis");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Lyrae");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Scorpii");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Mira");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Cygni");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Achernar");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_2_menu), glade_menuitem);
  gtk_option_menu_set_menu (GTK_OPTION_MENU (PLANETS_2), PLANETS_2_menu);

  PLANETS_3 = gtk_option_menu_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "PLANETS_3", PLANETS_3);
  gtk_widget_show (PLANETS_3);
  gtk_table_attach (GTK_TABLE (table11), PLANETS_3, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (PLANETS_3, FALSE);
  PLANETS_3_menu = gtk_menu_new ();
  glade_menuitem = gtk_menu_item_new_with_label ("Orion");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Cassiopia");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("El Nath");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Spica");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Procyon");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Polaris");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Arcturus");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Ursae Majoris");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Herculus");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  glade_menuitem = gtk_menu_item_new_with_label ("Antares");
  gtk_widget_show (glade_menuitem);
  gtk_menu_append (GTK_MENU (PLANETS_3_menu), glade_menuitem);
  gtk_option_menu_set_menu (GTK_OPTION_MENU (PLANETS_3), PLANETS_3_menu);

  label64 = gtk_label_new ("Federation:");
  gtk_object_set_data (GTK_OBJECT (gum), "label64", label64);
  gtk_widget_show (label64);
  gtk_table_attach (GTK_TABLE (table11), label64, 0, 1, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (label64, FALSE);
  gtk_misc_set_alignment (GTK_MISC (label64), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label64), 10, 0);

  label65 = gtk_label_new ("Romulan:");
  gtk_object_set_data (GTK_OBJECT (gum), "label65", label65);
  gtk_widget_show (label65);
  gtk_table_attach (GTK_TABLE (table11), label65, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (label65, FALSE);
  gtk_misc_set_alignment (GTK_MISC (label65), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label65), 10, 0);

  label66 = gtk_label_new ("Klingon:");
  gtk_object_set_data (GTK_OBJECT (gum), "label66", label66);
  gtk_widget_show (label66);
  gtk_table_attach (GTK_TABLE (table11), label66, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (label66, FALSE);
  gtk_misc_set_alignment (GTK_MISC (label66), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label66), 10, 0);

  label67 = gtk_label_new ("Orion:");
  gtk_object_set_data (GTK_OBJECT (gum), "label67", label67);
  gtk_widget_show (label67);
  gtk_table_attach (GTK_TABLE (table11), label67, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (label67, FALSE);
  gtk_misc_set_alignment (GTK_MISC (label67), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (label67), 10, 0);

  MAX_POP_LABEL = gtk_label_new ("MAX_POP:");
  gtk_object_set_data (GTK_OBJECT (gum), "MAX_POP_LABEL", MAX_POP_LABEL);
  gtk_widget_show (MAX_POP_LABEL);
  gtk_table_attach (GTK_TABLE (table6), MAX_POP_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, MAX_POP_LABEL, "Maximum number of armies that a planet may breed to", NULL);
  gtk_misc_set_alignment (GTK_MISC (MAX_POP_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (MAX_POP_LABEL), 10, 0);

  PLANET_MOVE_LABEL = gtk_label_new ("PLANET_MOVE:");
  gtk_object_set_data (GTK_OBJECT (gum), "PLANET_MOVE_LABEL", PLANET_MOVE_LABEL);
  gtk_widget_show (PLANET_MOVE_LABEL);
  gtk_table_attach (GTK_TABLE (table6), PLANET_MOVE_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, PLANET_MOVE_LABEL, "Whether planets move or not.  Moving planets looks cool, increases network traffic, increases lag on slow connections, and ruins long term game strategy.", NULL);
  gtk_misc_set_alignment (GTK_MISC (PLANET_MOVE_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (PLANET_MOVE_LABEL), 10, 0);

  WRAP_GALAXY_LABEL = gtk_label_new ("WRAP_GALAXY:");
  gtk_object_set_data (GTK_OBJECT (gum), "WRAP_GALAXY_LABEL", WRAP_GALAXY_LABEL);
  gtk_widget_show (WRAP_GALAXY_LABEL);
  gtk_table_attach (GTK_TABLE (table6), WRAP_GALAXY_LABEL, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, WRAP_GALAXY_LABEL, "Whether the galaxy wraps around at the borders.  When enabled the shortest path from one home planet to another is via a corner.  Non-intuitive, and ruins normal strategies.  Useful for chaos play.", NULL);
  gtk_misc_set_alignment (GTK_MISC (WRAP_GALAXY_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (WRAP_GALAXY_LABEL), 10, 0);

  PLANETS_LABEL_DISABLED = gtk_label_new ("PLANETS:");
  gtk_object_set_data (GTK_OBJECT (gum), "PLANETS_LABEL_DISABLED", PLANETS_LABEL_DISABLED);
  gtk_widget_show (PLANETS_LABEL_DISABLED);
  gtk_table_attach (GTK_TABLE (table6), PLANETS_LABEL_DISABLED, 0, 1, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (PLANETS_LABEL_DISABLED, FALSE);
  gtk_tooltips_set_tip (tooltips, PLANETS_LABEL_DISABLED, "Planets that the ships of each team start at.  The default is the first in each list.", NULL);
  gtk_misc_set_alignment (GTK_MISC (PLANETS_LABEL_DISABLED), 1, 0.1);
  gtk_misc_set_padding (GTK_MISC (PLANETS_LABEL_DISABLED), 10, 0);

  START_ARMIES_LABEL = gtk_label_new ("START_ARMIES:");
  gtk_object_set_data (GTK_OBJECT (gum), "START_ARMIES_LABEL", START_ARMIES_LABEL);
  gtk_widget_show (START_ARMIES_LABEL);
  gtk_table_attach (GTK_TABLE (table6), START_ARMIES_LABEL, 0, 1, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, START_ARMIES_LABEL, "The number of armies on a planet after a galaxy reset.  The reset can be caused by either a conquest, genocide, or daemon start after no players.", NULL);
  gtk_misc_set_alignment (GTK_MISC (START_ARMIES_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (START_ARMIES_LABEL), 10, 0);

  label121 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label121", label121);
  gtk_widget_show (label121);
  gtk_table_attach (GTK_TABLE (table6), label121, 0, 2, 6, 7,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  hbox6 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox6", hbox6);
  gtk_widget_show (hbox6);
  gtk_table_attach (GTK_TABLE (table6), hbox6, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  PLANET_MOVE_0 = gtk_radio_button_new_with_label (PLANET_MOVE_group, "No");
  PLANET_MOVE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (PLANET_MOVE_0));
  gtk_object_set_data (GTK_OBJECT (gum), "PLANET_MOVE_0", PLANET_MOVE_0);
  gtk_widget_show (PLANET_MOVE_0);
  gtk_box_pack_start (GTK_BOX (hbox6), PLANET_MOVE_0, FALSE, FALSE, 0);

  PLANET_MOVE_1 = gtk_radio_button_new_with_label (PLANET_MOVE_group, "Yes");
  PLANET_MOVE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (PLANET_MOVE_1));
  gtk_object_set_data (GTK_OBJECT (gum), "PLANET_MOVE_1", PLANET_MOVE_1);
  gtk_widget_show (PLANET_MOVE_1);
  gtk_box_pack_start (GTK_BOX (hbox6), PLANET_MOVE_1, FALSE, FALSE, 0);

  hbox7 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox7", hbox7);
  gtk_widget_show (hbox7);
  gtk_table_attach (GTK_TABLE (table6), hbox7, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  WRAP_GALAXY_0 = gtk_radio_button_new_with_label (WRAP_GALAXY_group, "No");
  WRAP_GALAXY_group = gtk_radio_button_group (GTK_RADIO_BUTTON (WRAP_GALAXY_0));
  gtk_object_set_data (GTK_OBJECT (gum), "WRAP_GALAXY_0", WRAP_GALAXY_0);
  gtk_widget_show (WRAP_GALAXY_0);
  gtk_box_pack_start (GTK_BOX (hbox7), WRAP_GALAXY_0, FALSE, FALSE, 0);

  WRAP_GALAXY_01 = gtk_radio_button_new_with_label (WRAP_GALAXY_group, "Yes");
  WRAP_GALAXY_group = gtk_radio_button_group (GTK_RADIO_BUTTON (WRAP_GALAXY_01));
  gtk_object_set_data (GTK_OBJECT (gum), "WRAP_GALAXY_01", WRAP_GALAXY_01);
  gtk_widget_show (WRAP_GALAXY_01);
  gtk_box_pack_start (GTK_BOX (hbox7), WRAP_GALAXY_01, FALSE, FALSE, 0);

  hbox5 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox5", hbox5);
  gtk_widget_show (hbox5);
  gtk_table_attach (GTK_TABLE (table6), hbox5, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  MAX_POP_adj = gtk_adjustment_new (70, 0, 1000, 10, 10, 10);
  MAX_POP = gtk_spin_button_new (GTK_ADJUSTMENT (MAX_POP_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "MAX_POP", MAX_POP);
  gtk_widget_show (MAX_POP);
  gtk_box_pack_start (GTK_BOX (hbox5), MAX_POP, FALSE, FALSE, 6);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (MAX_POP), TRUE);

  label116 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label116", label116);
  gtk_widget_show (label116);
  gtk_box_pack_start (GTK_BOX (hbox5), label116, FALSE, TRUE, 0);

  table7 = gtk_table_new (4, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table7", table7);
  gtk_widget_show (table7);
  gtk_container_add (GTK_CONTAINER (notebook1), table7);
  gtk_container_border_width (GTK_CONTAINER (table7), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table7), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table7), 6);

  label126 = gtk_label_new ("Base Practice Mode Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label126", label126);
  gtk_widget_show (label126);
  gtk_table_attach (GTK_TABLE (table7), label126, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  BASEPRACTICE_LABEL = gtk_label_new ("BASEPRACTICE:");
  gtk_object_set_data (GTK_OBJECT (gum), "BASEPRACTICE_LABEL", BASEPRACTICE_LABEL);
  gtk_widget_show (BASEPRACTICE_LABEL);
  gtk_table_attach (GTK_TABLE (table7), BASEPRACTICE_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (BASEPRACTICE_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (BASEPRACTICE_LABEL), 10, 0);

  ROBOTHOST_LABEL = gtk_label_new ("ROBOTHOST:");
  gtk_object_set_data (GTK_OBJECT (gum), "ROBOTHOST_LABEL", ROBOTHOST_LABEL);
  gtk_widget_show (ROBOTHOST_LABEL);
  gtk_table_attach (GTK_TABLE (table7), ROBOTHOST_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (ROBOTHOST_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (ROBOTHOST_LABEL), 10, 0);

  hbox42 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox42", hbox42);
  gtk_widget_show (hbox42);
  gtk_table_attach (GTK_TABLE (table7), hbox42, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  BASEPRACTICE_0 = gtk_radio_button_new_with_label (BASEPRACTICE_group, "No");
  BASEPRACTICE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (BASEPRACTICE_0));
  gtk_object_set_data (GTK_OBJECT (gum), "BASEPRACTICE_0", BASEPRACTICE_0);
  gtk_widget_show (BASEPRACTICE_0);
  gtk_box_pack_start (GTK_BOX (hbox42), BASEPRACTICE_0, FALSE, FALSE, 0);

  BASEPRACTICE_1 = gtk_radio_button_new_with_label (BASEPRACTICE_group, "Yes");
  BASEPRACTICE_group = gtk_radio_button_group (GTK_RADIO_BUTTON (BASEPRACTICE_1));
  gtk_object_set_data (GTK_OBJECT (gum), "BASEPRACTICE_1", BASEPRACTICE_1);
  gtk_widget_show (BASEPRACTICE_1);
  gtk_box_pack_start (GTK_BOX (hbox42), BASEPRACTICE_1, FALSE, FALSE, 0);

  hbox43 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox43", hbox43);
  gtk_widget_show (hbox43);
  gtk_table_attach (GTK_TABLE (table7), hbox43, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  ROBOTHOST = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "ROBOTHOST", ROBOTHOST);
  gtk_widget_show (ROBOTHOST);
  gtk_box_pack_start (GTK_BOX (hbox43), ROBOTHOST, TRUE, TRUE, 0);

  label127 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label127", label127);
  gtk_widget_show (label127);
  gtk_table_attach (GTK_TABLE (table7), label127, 0, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  table8 = gtk_table_new (3, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table8", table8);
  gtk_widget_show (table8);
  gtk_container_add (GTK_CONTAINER (notebook1), table8);
  gtk_container_border_width (GTK_CONTAINER (table8), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table8), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table8), 6);

  label128 = gtk_label_new ("Hockey Mode Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label128", label128);
  gtk_widget_show (label128);
  gtk_table_attach (GTK_TABLE (table8), label128, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  HOCKEY_LABEL = gtk_label_new ("HOCKEY:");
  gtk_object_set_data (GTK_OBJECT (gum), "HOCKEY_LABEL", HOCKEY_LABEL);
  gtk_widget_show (HOCKEY_LABEL);
  gtk_table_attach (GTK_TABLE (table8), HOCKEY_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (HOCKEY_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (HOCKEY_LABEL), 10, 0);

  hbox44 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox44", hbox44);
  gtk_widget_show (hbox44);
  gtk_table_attach (GTK_TABLE (table8), hbox44, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  HOCKEY_0 = gtk_radio_button_new_with_label (HOCKEY_group, "No");
  HOCKEY_group = gtk_radio_button_group (GTK_RADIO_BUTTON (HOCKEY_0));
  gtk_object_set_data (GTK_OBJECT (gum), "HOCKEY_0", HOCKEY_0);
  gtk_widget_show (HOCKEY_0);
  gtk_box_pack_start (GTK_BOX (hbox44), HOCKEY_0, FALSE, FALSE, 0);

  HOCKEY_1 = gtk_radio_button_new_with_label (HOCKEY_group, "Yes");
  HOCKEY_group = gtk_radio_button_group (GTK_RADIO_BUTTON (HOCKEY_1));
  gtk_object_set_data (GTK_OBJECT (gum), "HOCKEY_1", HOCKEY_1);
  gtk_widget_show (HOCKEY_1);
  gtk_box_pack_start (GTK_BOX (hbox44), HOCKEY_1, FALSE, FALSE, 0);

  label131 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label131", label131);
  gtk_widget_show (label131);
  gtk_table_attach (GTK_TABLE (table8), label131, 0, 2, 2, 3,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  table9 = gtk_table_new (3, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table9", table9);
  gtk_widget_show (table9);
  gtk_container_add (GTK_CONTAINER (notebook1), table9);
  gtk_container_border_width (GTK_CONTAINER (table9), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table9), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table9), 6);

  hbox45 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox45", hbox45);
  gtk_widget_show (hbox45);
  gtk_table_attach (GTK_TABLE (table9), hbox45, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  INL_0 = gtk_radio_button_new_with_label (INL_group, "No");
  INL_group = gtk_radio_button_group (GTK_RADIO_BUTTON (INL_0));
  gtk_object_set_data (GTK_OBJECT (gum), "INL_0", INL_0);
  gtk_widget_show (INL_0);
  gtk_box_pack_start (GTK_BOX (hbox45), INL_0, FALSE, FALSE, 0);

  INL_1 = gtk_radio_button_new_with_label (INL_group, "Yes");
  INL_group = gtk_radio_button_group (GTK_RADIO_BUTTON (INL_1));
  gtk_object_set_data (GTK_OBJECT (gum), "INL_1", INL_1);
  gtk_widget_show (INL_1);
  gtk_box_pack_start (GTK_BOX (hbox45), INL_1, FALSE, FALSE, 0);

  INL_LABEL = gtk_label_new ("INL:");
  gtk_object_set_data (GTK_OBJECT (gum), "INL_LABEL", INL_LABEL);
  gtk_widget_show (INL_LABEL);
  gtk_table_attach (GTK_TABLE (table9), INL_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_tooltips_set_tip (tooltips, INL_LABEL, "Enable the INL server mode, automatically starts the INL robot.", NULL);
  gtk_misc_set_alignment (GTK_MISC (INL_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (INL_LABEL), 10, 0);

  inl = gtk_label_new ("INL Server Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "inl", inl);
  gtk_widget_show (inl);
  gtk_table_attach (GTK_TABLE (table9), inl, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  label130 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label130", label130);
  gtk_widget_show (label130);
  gtk_table_attach (GTK_TABLE (table9), label130, 0, 2, 2, 3,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  table10 = gtk_table_new (6, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table10", table10);
  gtk_widget_show (table10);
  gtk_container_add (GTK_CONTAINER (notebook1), table10);
  gtk_container_border_width (GTK_CONTAINER (table10), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table10), 6);
  gtk_table_set_col_spacings (GTK_TABLE (table10), 6);

  label124 = gtk_label_new ("Dogfight (Mars) Server Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label124", label124);
  gtk_widget_show (label124);
  gtk_table_attach (GTK_TABLE (table10), label124, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  DOGFIGHT_LABEL = gtk_label_new ("DOGFIGHT:");
  gtk_object_set_data (GTK_OBJECT (gum), "DOGFIGHT_LABEL", DOGFIGHT_LABEL);
  gtk_widget_show (DOGFIGHT_LABEL);
  gtk_table_attach (GTK_TABLE (table10), DOGFIGHT_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (DOGFIGHT_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (DOGFIGHT_LABEL), 10, 0);

  CONTESTSIZE_LABEL = gtk_label_new ("CONTESTSIZE:");
  gtk_object_set_data (GTK_OBJECT (gum), "CONTESTSIZE_LABEL", CONTESTSIZE_LABEL);
  gtk_widget_show (CONTESTSIZE_LABEL);
  gtk_table_attach (GTK_TABLE (table10), CONTESTSIZE_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CONTESTSIZE_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CONTESTSIZE_LABEL), 10, 0);

  NUMMATCH_LABEL = gtk_label_new ("NUMMATCH:");
  gtk_object_set_data (GTK_OBJECT (gum), "NUMMATCH_LABEL", NUMMATCH_LABEL);
  gtk_widget_show (NUMMATCH_LABEL);
  gtk_table_attach (GTK_TABLE (table10), NUMMATCH_LABEL, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (NUMMATCH_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (NUMMATCH_LABEL), 10, 0);

  SAVE_DOG_STAT_LABEL = gtk_label_new ("SAVE_DOG_STAT:");
  gtk_object_set_data (GTK_OBJECT (gum), "SAVE_DOG_STAT_LABEL", SAVE_DOG_STAT_LABEL);
  gtk_widget_show (SAVE_DOG_STAT_LABEL);
  gtk_table_attach (GTK_TABLE (table10), SAVE_DOG_STAT_LABEL, 0, 1, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (SAVE_DOG_STAT_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (SAVE_DOG_STAT_LABEL), 10, 0);

  label125 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label125", label125);
  gtk_widget_show (label125);
  gtk_table_attach (GTK_TABLE (table10), label125, 0, 2, 5, 6,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  SAVE_DOG_STAT = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "SAVE_DOG_STAT", SAVE_DOG_STAT);
  gtk_widget_show (SAVE_DOG_STAT);
  gtk_table_attach (GTK_TABLE (table10), SAVE_DOG_STAT, 1, 2, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  NUMMATCH = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "NUMMATCH", NUMMATCH);
  gtk_widget_show (NUMMATCH);
  gtk_table_attach (GTK_TABLE (table10), NUMMATCH, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  CONTESTSIZE = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "CONTESTSIZE", CONTESTSIZE);
  gtk_widget_show (CONTESTSIZE);
  gtk_table_attach (GTK_TABLE (table10), CONTESTSIZE, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  DOGFIGHT = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "DOGFIGHT", DOGFIGHT);
  gtk_widget_show (DOGFIGHT);
  gtk_table_attach (GTK_TABLE (table10), DOGFIGHT, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  table3 = gtk_table_new (8, 2, FALSE);
  gtk_object_set_data (GTK_OBJECT (gum), "table3", table3);
  gtk_widget_show (table3);
  gtk_container_add (GTK_CONTAINER (notebook1), table3);
  gtk_container_border_width (GTK_CONTAINER (table3), 6);
  gtk_table_set_row_spacings (GTK_TABLE (table3), 6);

  SNAKEPATROL_LABEL = gtk_label_new ("(unimplemented)");
  gtk_object_set_data (GTK_OBJECT (gum), "SNAKEPATROL_LABEL", SNAKEPATROL_LABEL);
  gtk_widget_show (SNAKEPATROL_LABEL);
  gtk_table_attach (GTK_TABLE (table3), SNAKEPATROL_LABEL, 0, 1, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (SNAKEPATROL_LABEL, FALSE);
  gtk_misc_set_alignment (GTK_MISC (SNAKEPATROL_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (SNAKEPATROL_LABEL), 10, 0);

  MAX_CHAOS_BASES_LABEL = gtk_label_new ("MAX_CHAOS_BASES:");
  gtk_object_set_data (GTK_OBJECT (gum), "MAX_CHAOS_BASES_LABEL", MAX_CHAOS_BASES_LABEL);
  gtk_widget_show (MAX_CHAOS_BASES_LABEL);
  gtk_table_attach (GTK_TABLE (table3), MAX_CHAOS_BASES_LABEL, 0, 1, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (MAX_CHAOS_BASES_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (MAX_CHAOS_BASES_LABEL), 10, 0);

  PINGPONG_PLASMA_LABEL = gtk_label_new ("PINGPONG_PLASMA:");
  gtk_object_set_data (GTK_OBJECT (gum), "PINGPONG_PLASMA_LABEL", PINGPONG_PLASMA_LABEL);
  gtk_widget_show (PINGPONG_PLASMA_LABEL);
  gtk_table_attach (GTK_TABLE (table3), PINGPONG_PLASMA_LABEL, 0, 1, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (PINGPONG_PLASMA_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (PINGPONG_PLASMA_LABEL), 10, 0);

  STARBASE_MINES_LABEL = gtk_label_new ("(unimplemented)");
  gtk_object_set_data (GTK_OBJECT (gum), "STARBASE_MINES_LABEL", STARBASE_MINES_LABEL);
  gtk_widget_show (STARBASE_MINES_LABEL);
  gtk_table_attach (GTK_TABLE (table3), STARBASE_MINES_LABEL, 0, 1, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_widget_set_sensitive (STARBASE_MINES_LABEL, FALSE);
  gtk_misc_set_alignment (GTK_MISC (STARBASE_MINES_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (STARBASE_MINES_LABEL), 10, 0);

  CHAOS_LABEL = gtk_label_new ("CHAOS:");
  gtk_object_set_data (GTK_OBJECT (gum), "CHAOS_LABEL", CHAOS_LABEL);
  gtk_widget_show (CHAOS_LABEL);
  gtk_table_attach (GTK_TABLE (table3), CHAOS_LABEL, 0, 1, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (CHAOS_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (CHAOS_LABEL), 10, 0);

  label122 = gtk_label_new ("Chaos Settings\n");
  gtk_object_set_data (GTK_OBJECT (gum), "label122", label122);
  gtk_widget_show (label122);
  gtk_table_attach (GTK_TABLE (table3), label122, 0, 2, 0, 1,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  label123 = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (gum), "label123", label123);
  gtk_widget_show (label123);
  gtk_table_attach (GTK_TABLE (table3), label123, 0, 2, 7, 8,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_EXPAND | GTK_FILL, 0, 0);

  hbox46 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox46", hbox46);
  gtk_widget_show (hbox46);
  gtk_table_attach (GTK_TABLE (table3), hbox46, 1, 2, 4, 5,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  MAX_CHAOS_BASES_adj = gtk_adjustment_new (2, 0, 16, 1, 10, 10);
  MAX_CHAOS_BASES = gtk_spin_button_new (GTK_ADJUSTMENT (MAX_CHAOS_BASES_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "MAX_CHAOS_BASES", MAX_CHAOS_BASES);
  gtk_widget_show (MAX_CHAOS_BASES);
  gtk_box_pack_start (GTK_BOX (hbox46), MAX_CHAOS_BASES, FALSE, FALSE, 0);
  gtk_widget_set_usize (MAX_CHAOS_BASES, 60, -1);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (MAX_CHAOS_BASES), TRUE);

  hbox47 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox47", hbox47);
  gtk_widget_show (hbox47);
  gtk_table_attach (GTK_TABLE (table3), hbox47, 1, 2, 1, 2,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  CHAOS_0 = gtk_radio_button_new_with_label (CHAOS_group, "No");
  CHAOS_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CHAOS_0));
  gtk_object_set_data (GTK_OBJECT (gum), "CHAOS_0", CHAOS_0);
  gtk_widget_show (CHAOS_0);
  gtk_box_pack_start (GTK_BOX (hbox47), CHAOS_0, FALSE, FALSE, 0);

  CHAOS_1 = gtk_radio_button_new_with_label (CHAOS_group, "Yes");
  CHAOS_group = gtk_radio_button_group (GTK_RADIO_BUTTON (CHAOS_1));
  gtk_object_set_data (GTK_OBJECT (gum), "CHAOS_1", CHAOS_1);
  gtk_widget_show (CHAOS_1);
  gtk_box_pack_start (GTK_BOX (hbox47), CHAOS_1, FALSE, FALSE, 0);

  hbox48 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox48", hbox48);
  gtk_widget_show (hbox48);
  gtk_table_attach (GTK_TABLE (table3), hbox48, 1, 2, 2, 3,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  STARBASE_MINES_0 = gtk_radio_button_new_with_label (STARBASE_MINES_group, "No");
  STARBASE_MINES_group = gtk_radio_button_group (GTK_RADIO_BUTTON (STARBASE_MINES_0));
  gtk_object_set_data (GTK_OBJECT (gum), "STARBASE_MINES_0", STARBASE_MINES_0);
  gtk_widget_show (STARBASE_MINES_0);
  gtk_box_pack_start (GTK_BOX (hbox48), STARBASE_MINES_0, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (STARBASE_MINES_0, FALSE);

  STARBASE_MINES_1 = gtk_radio_button_new_with_label (STARBASE_MINES_group, "Yes");
  STARBASE_MINES_group = gtk_radio_button_group (GTK_RADIO_BUTTON (STARBASE_MINES_1));
  gtk_object_set_data (GTK_OBJECT (gum), "STARBASE_MINES_1", STARBASE_MINES_1);
  gtk_widget_show (STARBASE_MINES_1);
  gtk_box_pack_start (GTK_BOX (hbox48), STARBASE_MINES_1, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (STARBASE_MINES_1, FALSE);

  hbox49 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox49", hbox49);
  gtk_widget_show (hbox49);
  gtk_table_attach (GTK_TABLE (table3), hbox49, 1, 2, 3, 4,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  PINGPONG_PLASMA_0 = gtk_radio_button_new_with_label (PINGPONG_PLASMA_group, "No");
  PINGPONG_PLASMA_group = gtk_radio_button_group (GTK_RADIO_BUTTON (PINGPONG_PLASMA_0));
  gtk_object_set_data (GTK_OBJECT (gum), "PINGPONG_PLASMA_0", PINGPONG_PLASMA_0);
  gtk_widget_show (PINGPONG_PLASMA_0);
  gtk_box_pack_start (GTK_BOX (hbox49), PINGPONG_PLASMA_0, FALSE, FALSE, 0);

  PINGPONG_PLASMA_1 = gtk_radio_button_new_with_label (PINGPONG_PLASMA_group, "Yes");
  PINGPONG_PLASMA_group = gtk_radio_button_group (GTK_RADIO_BUTTON (PINGPONG_PLASMA_1));
  gtk_object_set_data (GTK_OBJECT (gum), "PINGPONG_PLASMA_1", PINGPONG_PLASMA_1);
  gtk_widget_show (PINGPONG_PLASMA_1);
  gtk_box_pack_start (GTK_BOX (hbox49), PINGPONG_PLASMA_1, FALSE, FALSE, 0);

  hbox50 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox50", hbox50);
  gtk_widget_show (hbox50);
  gtk_table_attach (GTK_TABLE (table3), hbox50, 1, 2, 5, 6,
                    (GtkAttachOptions) GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  SNAKEPATROL_0 = gtk_radio_button_new_with_label (SNAKEPATROL_group, "No");
  SNAKEPATROL_group = gtk_radio_button_group (GTK_RADIO_BUTTON (SNAKEPATROL_0));
  gtk_object_set_data (GTK_OBJECT (gum), "SNAKEPATROL_0", SNAKEPATROL_0);
  gtk_widget_show (SNAKEPATROL_0);
  gtk_box_pack_start (GTK_BOX (hbox50), SNAKEPATROL_0, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (SNAKEPATROL_0, FALSE);

  SNAKEPATROL_1 = gtk_radio_button_new_with_label (SNAKEPATROL_group, "Yes");
  SNAKEPATROL_group = gtk_radio_button_group (GTK_RADIO_BUTTON (SNAKEPATROL_1));
  gtk_object_set_data (GTK_OBJECT (gum), "SNAKEPATROL_1", SNAKEPATROL_1);
  gtk_widget_show (SNAKEPATROL_1);
  gtk_box_pack_start (GTK_BOX (hbox50), SNAKEPATROL_1, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (SNAKEPATROL_1, FALSE);

  REALITY_LABEL = gtk_label_new ("REALITY: ");
  gtk_object_set_data (GTK_OBJECT (gum), "REALITY_LABEL", REALITY_LABEL);
  gtk_widget_show (REALITY_LABEL);
  gtk_table_attach (GTK_TABLE (table3), REALITY_LABEL, 0, 1, 6, 7,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);
  gtk_misc_set_alignment (GTK_MISC (REALITY_LABEL), 1, 0.5);
  gtk_misc_set_padding (GTK_MISC (REALITY_LABEL), 10, 0);

  REALITY_adj = gtk_adjustment_new (10, 1, 20, 1, 1, 1);
  REALITY = gtk_spin_button_new (GTK_ADJUSTMENT (REALITY_adj), 1, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "REALITY", REALITY);
  gtk_widget_show (REALITY);
  gtk_table_attach (GTK_TABLE (table3), REALITY, 1, 2, 6, 7,
                    (GtkAttachOptions) GTK_EXPAND | GTK_FILL, (GtkAttachOptions) GTK_FILL, 0, 0);

  label1 = gtk_label_new ("Listener");
  gtk_object_set_data (GTK_OBJECT (gum), "label1", label1);
  gtk_widget_show (label1);
  set_notebook_tab (notebook1, 0, label1);

  label133 = gtk_label_new ("Status");
  gtk_object_set_data (GTK_OBJECT (gum), "label133", label133);
  gtk_widget_show (label133);
  set_notebook_tab (notebook1, 1, label133);

  label6 = gtk_label_new ("Style");
  gtk_object_set_data (GTK_OBJECT (gum), "label6", label6);
  gtk_widget_show (label6);
  set_notebook_tab (notebook1, 2, label6);

  label2 = gtk_label_new ("Clue Check");
  gtk_object_set_data (GTK_OBJECT (gum), "label2", label2);
  gtk_widget_show (label2);
  set_notebook_tab (notebook1, 3, label2);

  label9 = gtk_label_new ("Messaging");
  gtk_object_set_data (GTK_OBJECT (gum), "label9", label9);
  gtk_widget_show (label9);
  set_notebook_tab (notebook1, 4, label9);

  label17 = gtk_label_new ("Galaxy");
  gtk_object_set_data (GTK_OBJECT (gum), "label17", label17);
  gtk_widget_show (label17);
  set_notebook_tab (notebook1, 5, label17);

  label51 = gtk_label_new ("Base Practice");
  gtk_object_set_data (GTK_OBJECT (gum), "label51", label51);
  gtk_widget_show (label51);
  set_notebook_tab (notebook1, 6, label51);

  label54 = gtk_label_new ("Hockey");
  gtk_object_set_data (GTK_OBJECT (gum), "label54", label54);
  gtk_widget_show (label54);
  set_notebook_tab (notebook1, 7, label54);

  INL_NOTEBOOK_LABEL = gtk_label_new ("INL");
  gtk_object_set_data (GTK_OBJECT (gum), "INL_NOTEBOOK_LABEL", INL_NOTEBOOK_LABEL);
  gtk_widget_show (INL_NOTEBOOK_LABEL);
  set_notebook_tab (notebook1, 8, INL_NOTEBOOK_LABEL);

  label58 = gtk_label_new ("Dogfight");
  gtk_object_set_data (GTK_OBJECT (gum), "label58", label58);
  gtk_widget_show (label58);
  set_notebook_tab (notebook1, 9, label58);

  label3 = gtk_label_new ("Chaos");
  gtk_object_set_data (GTK_OBJECT (gum), "label3", label3);
  gtk_widget_show (label3);
  set_notebook_tab (notebook1, 10, label3);

  hbox52 = gtk_hbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (gum), "hbox52", hbox52);
  gtk_widget_show (hbox52);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox52, TRUE, TRUE, 0);

  statusbar = gtk_statusbar_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "statusbar", statusbar);
  gtk_widget_show (statusbar);
  gtk_box_pack_start (GTK_BOX (hbox52), statusbar, TRUE, TRUE, 0);
  gtk_container_border_width (GTK_CONTAINER (statusbar), 9);
  gtk_tooltips_set_tip (tooltips, statusbar, "Here's where we tell you what is happening.", NULL);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_object_set_data (GTK_OBJECT (gum), "hbuttonbox1", hbuttonbox1);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (hbox52), hbuttonbox1, FALSE, FALSE, 0);
  gtk_container_border_width (GTK_CONTAINER (hbuttonbox1), 9);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox1), GTK_BUTTONBOX_END);

  reload = gtk_button_new_with_label ("Reload");
  gtk_object_set_data (GTK_OBJECT (gum), "reload", reload);
  gtk_widget_show (reload);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), reload);
  gtk_signal_connect (GTK_OBJECT (reload), "clicked",
                      GTK_SIGNAL_FUNC (on_reload_clicked),
                      NULL);

  save = gtk_button_new_with_label ("Save");
  gtk_object_set_data (GTK_OBJECT (gum), "save", save);
  gtk_widget_show (save);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), save);
  gtk_signal_connect (GTK_OBJECT (save), "clicked",
                      GTK_SIGNAL_FUNC (on_save_clicked),
                      NULL);

  quit = gtk_button_new_with_label ("Quit");
  gtk_object_set_data (GTK_OBJECT (gum), "quit", quit);
  gtk_widget_show (quit);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), quit);
  gtk_signal_connect (GTK_OBJECT (quit), "clicked",
                      GTK_SIGNAL_FUNC (on_quit_clicked),
                      NULL);

  return gum;
}

GtkWidget*
create_motd ()
{
  GtkWidget *motd;
  GtkWidget *motd_ok;
  GtkWidget *motd_cancel;

  motd = gtk_file_selection_new ("gum - Select Message Of The Day");
  gtk_object_set_data (GTK_OBJECT (motd), "motd", motd);
  gtk_container_border_width (GTK_CONTAINER (motd), 10);
  gtk_signal_connect (GTK_OBJECT (motd), "delete_event",
                      GTK_SIGNAL_FUNC (on_motd_delete_event),
                      NULL);
  GTK_WINDOW (motd)->type = GTK_WINDOW_DIALOG;
  gtk_window_position (GTK_WINDOW (motd), GTK_WIN_POS_MOUSE);
  gtk_file_selection_hide_fileop_buttons (GTK_FILE_SELECTION (motd));
  gtk_window_set_wmclass (GTK_WINDOW (motd), "gummotd", "gummotd");

  motd_ok = GTK_FILE_SELECTION (motd)->ok_button;
  gtk_object_set_data (GTK_OBJECT (motd), "motd_ok", motd_ok);
  gtk_widget_show (motd_ok);
  GTK_WIDGET_SET_FLAGS (motd_ok, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (motd_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_motd_ok_clicked),
                      NULL);

  motd_cancel = GTK_FILE_SELECTION (motd)->cancel_button;
  gtk_object_set_data (GTK_OBJECT (motd), "motd_cancel", motd_cancel);
  gtk_widget_show (motd_cancel);
  GTK_WIDGET_SET_FLAGS (motd_cancel, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (motd_cancel), "clicked",
                      GTK_SIGNAL_FUNC (on_motd_cancel_clicked),
                      NULL);

  return motd;
}

GtkWidget*
create_message ()
{
  GtkWidget *message;
  GtkWidget *dialog_vbox1;
  GtkWidget *message_label;
  GtkWidget *dialog_action_area1;
  GtkWidget *hbuttonbox2;
  GtkWidget *message_ok;

  message = gtk_dialog_new ();
  gtk_object_set_data (GTK_OBJECT (message), "message", message);
  gtk_signal_connect (GTK_OBJECT (message), "delete_event",
                      GTK_SIGNAL_FUNC (on_message_delete_event),
                      NULL);
  GTK_WINDOW (message)->type = GTK_WINDOW_DIALOG;
  gtk_window_set_title (GTK_WINDOW (message), "unset title");
  gtk_window_position (GTK_WINDOW (message), GTK_WIN_POS_MOUSE);
  gtk_window_set_policy (GTK_WINDOW (message), TRUE, TRUE, TRUE);
  gtk_window_set_wmclass (GTK_WINDOW (message), "gummessage", "gummessage");

  dialog_vbox1 = GTK_DIALOG (message)->vbox;
  gtk_object_set_data (GTK_OBJECT (message), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);
  gtk_container_border_width (GTK_CONTAINER (dialog_vbox1), 6);

  message_label = gtk_label_new ("unset label");
  gtk_object_set_data (GTK_OBJECT (message), "message_label", message_label);
  gtk_widget_show (message_label);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), message_label, FALSE, FALSE, 0);

  dialog_action_area1 = GTK_DIALOG (message)->action_area;
  gtk_object_set_data (GTK_OBJECT (message), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_border_width (GTK_CONTAINER (dialog_action_area1), 10);

  hbuttonbox2 = gtk_hbutton_box_new ();
  gtk_object_set_data (GTK_OBJECT (message), "hbuttonbox2", hbuttonbox2);
  gtk_widget_show (hbuttonbox2);
  gtk_box_pack_start (GTK_BOX (dialog_action_area1), hbuttonbox2, TRUE, TRUE, 0);

  message_ok = gtk_button_new_with_label ("OK");
  gtk_object_set_data (GTK_OBJECT (message), "message_ok", message_ok);
  gtk_widget_show (message_ok);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), message_ok);
  GTK_WIDGET_SET_FLAGS (message_ok, GTK_CAN_DEFAULT);
  gtk_widget_grab_focus (message_ok);
  gtk_widget_grab_default (message_ok);
  gtk_signal_connect (GTK_OBJECT (message_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_message_ok),
                      NULL);

  return message;
}

GtkWidget*
create_open ()
{
  GtkWidget *open;
  GtkWidget *open_ok;
  GtkWidget *open_cancel;

  open = gtk_file_selection_new ("gum - Open");
  gtk_object_set_data (GTK_OBJECT (open), "open", open);
  gtk_container_border_width (GTK_CONTAINER (open), 10);
  gtk_signal_connect (GTK_OBJECT (open), "delete_event",
                      GTK_SIGNAL_FUNC (on_open_delete_event),
                      NULL);
  GTK_WINDOW (open)->type = GTK_WINDOW_DIALOG;
  gtk_window_position (GTK_WINDOW (open), GTK_WIN_POS_MOUSE);
  gtk_file_selection_hide_fileop_buttons (GTK_FILE_SELECTION (open));
  gtk_window_set_wmclass (GTK_WINDOW (open), "gumopen", "gumopen");

  open_ok = GTK_FILE_SELECTION (open)->ok_button;
  gtk_object_set_data (GTK_OBJECT (open), "open_ok", open_ok);
  gtk_widget_show (open_ok);
  GTK_WIDGET_SET_FLAGS (open_ok, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (open_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_open_ok_clicked),
                      NULL);

  open_cancel = GTK_FILE_SELECTION (open)->cancel_button;
  gtk_object_set_data (GTK_OBJECT (open), "open_cancel", open_cancel);
  gtk_widget_show (open_cancel);
  GTK_WIDGET_SET_FLAGS (open_cancel, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (open_cancel), "clicked",
                      GTK_SIGNAL_FUNC (on_open_cancel_clicked),
                      NULL);

  return open;
}

GtkWidget*
create_saveas ()
{
  GtkWidget *saveas;
  GtkWidget *saveas_ok;
  GtkWidget *saveas_cancel;

  saveas = gtk_file_selection_new ("gum - Save As");
  gtk_object_set_data (GTK_OBJECT (saveas), "saveas", saveas);
  gtk_container_border_width (GTK_CONTAINER (saveas), 10);
  gtk_signal_connect (GTK_OBJECT (saveas), "delete_event",
                      GTK_SIGNAL_FUNC (on_saveas_delete_event),
                      NULL);
  GTK_WINDOW (saveas)->type = GTK_WINDOW_DIALOG;
  gtk_window_position (GTK_WINDOW (saveas), GTK_WIN_POS_MOUSE);
  gtk_window_set_wmclass (GTK_WINDOW (saveas), "gumsaveas", "gumsaveas");

  saveas_ok = GTK_FILE_SELECTION (saveas)->ok_button;
  gtk_object_set_data (GTK_OBJECT (saveas), "saveas_ok", saveas_ok);
  gtk_widget_show (saveas_ok);
  GTK_WIDGET_SET_FLAGS (saveas_ok, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (saveas_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_saveas_ok_clicked),
                      NULL);

  saveas_cancel = GTK_FILE_SELECTION (saveas)->cancel_button;
  gtk_object_set_data (GTK_OBJECT (saveas), "saveas_cancel", saveas_cancel);
  gtk_widget_show (saveas_cancel);
  GTK_WIDGET_SET_FLAGS (saveas_cancel, GTK_CAN_DEFAULT);
  gtk_signal_connect (GTK_OBJECT (saveas_cancel), "clicked",
                      GTK_SIGNAL_FUNC (on_saveas_cancel_clicked),
                      NULL);

  return saveas;
}

